﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace PS.ImageRotator.Code
{
    /// <summary>
    /// Featured stories collection.
    /// </summary>
    public class FeaturedStories : List<FeaturedStory>
    {
    }

    /// <summary>
    /// Featured story DTO.
    /// </summary>
    [DataContract(Name = "FeaturedStory")]
    public class FeaturedStory
    {
        /// <summary>
        /// Postion in the series.
        /// </summary>
        [DataMember]
        public int Position { get; set; }

        /// <summary>
        /// Image URL.
        /// </summary>
        [DataMember]
        public string ImageUrl { get; set; }

        /// <summary>
        /// Title.
        /// </summary>
        [DataMember]
        public string Title { get; set; }

        /// <summary>
        /// Sub Title.
        /// </summary>
        [DataMember]
        public string SubTitle { get; set; }

        /// <summary>
        /// Link to the story.
        /// </summary>
        [DataMember]
        public string StoryLink { get; set; }

        /// <summary>
        /// Display order.
        /// </summary>
        [DataMember]
        public string DisplayOrder { get; set; }

        /// <summary>
        /// Thumbnail Url.
        /// </summary>
        [DataMember]
        public string ThumbUrl { get; set; }

        /// <summary>
        /// Thumbnail hover Url.
        /// </summary>
        [DataMember]
        public string ThumbHoverUrl { get; set; }
    }
}
