using System;
using System.Reflection;

namespace PS.Practices.SiteBuilder.Features
{
    internal enum ULSCat : uint
    {
        msoulscat__anomaly_cpp = 0x591,
        msoulscat__cssedit_cpp = 0x58f,
        msoulscat__cssheet_cpp = 0x580,
        msoulscat__eddict_cpp = 0x5ae,
        msoulscat__elexer_cpp = 0x566,
        msoulscat__flothru_cpp = 0x543,
        msoulscat__getdict_cpp = 0x55b,
        msoulscat__grammar_cpp = 0x5c3,
        msoulscat__mask_cpp = 0x5b6,
        msoulscat__parser_cpp = 0x5ab,
        msoulscat__prettyp_cpp = 0x572,
        msoulscat__stream_cpp = 0x5b0,
        msoulscat__syntax_cpp = 0x5cb,
        msoulscat__xmllex_cpp = 0x593,
        msoulscat__xmlsyntax_cpp = 0x5b8,
        msoulscat_abstractconnectionmanager_cs = 0x64e,
        msoulscat_abstractentityinstance_cs = 0x632,
        msoulscat_accesscontrol_cs = 0x3b9,
        msoulscat_aclcb_cs = 0x1fb,
        msoulscat_aclhandler_cs = 0x53d,
        msoulscat_aclnt_cpp = 0x56e,
        msoulscat_action_cs = 0x638,
        msoulscat_actionpp_cpp = 12,
        msoulscat_activedirectory_cs = 0x5d4,
        msoulscat_adcontrol_cs = 0x534,
        msoulscat_addmodifycategory_aspx_cs = 0x69f,
        msoulscat_addqueryserverjob_cs = 0x65f,
        msoulscat_admin_cs = 0x45,
        msoulscat_admincheck_cs = 0x659,
        msoulscat_adsync_cs = 0x3e8,
        msoulscat_adsyncscheduledjob_cs = 0x483,
        msoulscat_adutil_cpp = 0x584,
        msoulscat_advancedsearchbox_cs = 960,
        msoulscat_advwrap_cpp = 0x5aa,
        msoulscat_afile_cs = 0x568,
        msoulscat_aggregatedatasource_cs = 830,
        msoulscat_alert_cpp = 0x716,
        msoulscat_alert_cs = 0x3fa,
        msoulscat_alerthandler_cs = 0x380,
        msoulscat_alertserializer_cs = 0x2f5,
        msoulscat_allgroups_cs = 530,
        msoulscat_alternateurlsynchronizerjob_cs = 0x210,
        msoulscat_analyticslogimportjobdefinition_cs = 0x4bf,
        msoulscat_analyticsusageprocessingjobdefinition_cs = 0x4f1,
        msoulscat_anchorcontrols_cs = 8,
        msoulscat_anchorcontrols_cs_pp = 0x246,
        msoulscat_aploggingutil_cs = 0x2b9,
        msoulscat_application_cs_pp = 0x433,
        msoulscat_applicationregistry_cs = 0x63f,
        msoulscat_applicationregistrysharedapplication_cs = 0x501,
        msoulscat_applicationserverjob_cs = 0x109,
        msoulscat_applogin_aspx_cs = 0x52,
        msoulscat_applyresourcecapacitytimerange_cs = 0x488,
        msoulscat_appointment_aspx_cs = 0x6d4,
        msoulscat_appset_cs = 0x6d1,
        msoulscat_apputil_cs = 0x6b1,
        msoulscat_appver_cs = 0x70c,
        msoulscat_apsearchquery_cs = 0x277,
        msoulscat_articleinfoserviceimpl_cpp = 0x63,
        msoulscat_askpipickingcontrol_cs = 0x4a4,
        msoulscat_aspx_cs = 0x5d6,
        msoulscat_aspxdscdataview_cs = 0x2f2,
        msoulscat_aspxformui_cs = 0x2ca,
        msoulscat_assetid_cs = 0x270,
        msoulscat_assetmapping_cs = 0x1c,
        msoulscat_assncnt_cs = 0x673,
        msoulscat_associatedgroups_aspx_cs = 0x1d9,
        msoulscat_asyncawareattribute_cs = 0x470,
        msoulscat_asyncrequestmanager_cs = 0x478,
        msoulscat_attachmentserializer_cs = 0x2a1,
        msoulscat_audience_defrulenewedit_aspx_cs = 0x4fd,
        msoulscat_audience_list_aspx_cs = 0x4e7,
        msoulscat_audience_main_aspx_cs = 0x4af,
        msoulscat_audience_memberlist_aspx_cs = 0x505,
        msoulscat_audience_newedit_aspx_cs = 0x4b5,
        msoulscat_audience_sched_aspx_cs = 0x510,
        msoulscat_audience_view_aspx_cs = 0x4c3,
        msoulscat_audiencejob_cs = 0xfe,
        msoulscat_audiencelists_cs = 0x4c0,
        msoulscat_audiencemanager_cs = 0x119,
        msoulscat_audiencepicker_cs = 0x35f,
        msoulscat_audiences_cs = 0x52e,
        msoulscat_audiocontrol_cs = 0x6c4,
        msoulscat_audit_cs = 0x482,
        msoulscat_authmodule_cs = 0x536,
        msoulscat_awsconstants_cs_pp = 0x222,
        msoulscat_awsglry_cs = 0x5d5,
        msoulscat_awsjukebox_cs = 0x89,
        msoulscat_awslogging_cs = 80,
        msoulscat_awspage_cs = 15,
        msoulscat_backlink_cpp = 0x6f3,
        msoulscat_base_cs = 0x99,
        msoulscat_basecontrol_cs = 0x124,
        msoulscat_basequeueaccess_cs = 0x41c,
        msoulscat_basiclistops_cpp = 0x61f,
        msoulscat_basket_cs = 0x4c,
        msoulscat_bdcbasepage_cs = 0x4a1,
        msoulscat_bdcconnector_cs = 0x4a3,
        msoulscat_bdsdatasourceview_cs = 0x4ad,
        msoulscat_bestbet_cs = 900,
        msoulscat_binary_cs = 0x6e3,
        msoulscat_blobmgr_cpp = 0x56a,
        msoulscat_bobcontrols_cs = 0x52d,
        msoulscat_bookarticleinfo_cpp = 0x5b,
        msoulscat_boolpropertyrow_cs = 0x236,
        msoulscat_botdll_cpp = 0x6e6,
        msoulscat_botform_cpp = 0x54d,
        msoulscat_botnav_cpp = 0x564,
        msoulscat_businessdataactionstoolpart_cs = 0x4f0,
        msoulscat_businessdataactionswebpart_cs = 0x4e1,
        msoulscat_businessdataassociationwebpart_cs = 0x633,
        msoulscat_businessdatadetailstoolpart_cs = 0x4f4,
        msoulscat_businessdatafield_cs = 0x4bb,
        msoulscat_businessdatafieldcontrol_cs = 0x503,
        msoulscat_businessdatafieldeditor_ascx_cs = 0x519,
        msoulscat_businessdatafiltertoolpart_cs = 0x4c4,
        msoulscat_businessdatafiltervaluespickerui_cs = 0x513,
        msoulscat_businessdatafilterwebpart_cs = 0x4d7,
        msoulscat_businessdatalistwebpart_cs = 0x4e3,
        msoulscat_businessdatasynchronizer_aspx_cs = 0x4ab,
        msoulscat_businessdatasynchronizerjob_cs = 0x4ee,
        msoulscat_cache_cs = 0x3f3,
        msoulscat_cacheablewebpart_cs = 0x666,
        msoulscat_cachedlistitem_cs = 0x1c8,
        msoulscat_cachedobjs_cs = 0x1a,
        msoulscat_cachemgr_cpp = 0x6f9,
        msoulscat_calchelper_cpp = 0x618,
        msoulscat_calcnt_cs = 0x62e,
        msoulscat_calendar_cs = 0x10,
        msoulscat_calendaradapterutilities_cs = 0x3da,
        msoulscat_calendarbasecontrol_cs = 0x20e,
        msoulscat_calendardatasource_cs = 0x6ed,
        msoulscat_calendarrenderingday_cs = 0x341,
        msoulscat_calendarrenderingmonth_cs = 0x283,
        msoulscat_calendarrenderingtimeline_cs = 0x32f,
        msoulscat_calendarrenderingweek_cs = 0x2e5,
        msoulscat_calendarsdatarowadapter_cs = 0x6b4,
        msoulscat_calendarsmain_aspx_cs = 0x690,
        msoulscat_calendarvisualcontainer_cs = 0x702,
        msoulscat_callback_cpp = 0x5c,
        msoulscat_cannedreport_aspx_cs = 0x3d1,
        msoulscat_capturefeaturehandler_cs = 0x50c,
        msoulscat_categorizer_cs = 0x6d8,
        msoulscat_category_cs = 0x4e,
        msoulscat_categorycontrol_cs = 0x481,
        msoulscat_categorydetail_cs = 0x4e8,
        msoulscat_categoryresultswebpart_cs = 0x4cd,
        msoulscat_categoryutil_cs = 0x648,
        msoulscat_categorywebpartdatasourceview_cs = 0x4c2,
        msoulscat_categorywebparttoolbar_cs = 0x50b,
        msoulscat_ccontentfile_cpp = 0x430,
        msoulscat_ccontentmgr_cpp = 0x41f,
        msoulscat_ccweb_cpp = 0x585,
        msoulscat_cdinfo_cs = 0x2b1,
        msoulscat_cellconsumerconnectionagent_cs = 0x2f4,
        msoulscat_cellproviderconnectionagent_cs = 710,
        msoulscat_centraladminpagebase_cs = 0x46a,
        msoulscat_checkdir_cpp = 0x5b2,
        msoulscat_checkfarmservices_aspx_cs = 0x3e4,
        msoulscat_childfarmcontentsourcesjobdefinition_cs = 0x39b,
        msoulscat_choicelist_cs = 0x37e,
        msoulscat_cindexfile_cpp = 0x42b,
        msoulscat_citpproj_cpp = 0x56b,
        msoulscat_citpsession_cpp = 0x621,
        msoulscat_clienttitlearea_cs = 0x492,
        msoulscat_clipartdownload_cs = 0x3d,
        msoulscat_clipartsqlsearchquery_cs = 180,
        msoulscat_clvupd_cs = 0x2d4,
        msoulscat_cmdbutil_asmx_cs = 0x36c,
        msoulscat_CMS_Area = 0xb6,
        msoulscat_CMS_Caching = 0xb8,
        msoulscat_CMS_Common = 0xf7,
        msoulscat_CMS_Console = 0xbc,
        msoulscat_CMS_ContentPropagation = 0xd7,
        msoulscat_CMS_Dialogs = 0xc0,
        msoulscat_CMS_Fields = 0xca,
        msoulscat_CMS_Listings = 0xc9,
        msoulscat_CMS_LRO = 0x1c5,
        msoulscat_CMS_Migration = 0xc2,
        msoulscat_CMS_Navigation = 0xb9,
        msoulscat_CMS_Page = 0xd4,
        msoulscat_CMS_PageLayout = 0x1c3,
        msoulscat_CMS_Provisioning = 0xd9,
        msoulscat_CMS_Publishing = 0x531,
        msoulscat_CMS_RichClientAuthoring = 0xb7,
        msoulscat_CMS_Security = 0xc6,
        msoulscat_CMS_SiteManagement = 0xc3,
        msoulscat_CMS_SpellChecking = 0x1bc,
        msoulscat_CMS_Workflow = 0xc1,
        msoulscat_collection_cs = 0x1b9,
        msoulscat_collectioncontrol_cs = 0x158,
        msoulscat_comcache_cpp = 0x58b,
        msoulscat_commandbase_cs = 0x475,
        msoulscat_common_cs = 70,
        msoulscat_commonclasses_cs = 0x708,
        msoulscat_commoncontrols_cs_pp = 0x1b,
        msoulscat_commonutil_cs = 0x322,
        msoulscat_compatparser_cs = 0x292,
        msoulscat_compressedxml_cs = 0x282,
        msoulscat_config_aspx_cs = 0x1eb,
        msoulscat_config_cpp = 0xf4,
        msoulscat_config_cs = 0x22d,
        msoulscat_configurationdatabase_cs = 0x651,
        msoulscat_confirm_cs = 0x6f1,
        msoulscat_conftest_cpp = 0x577,
        msoulscat_connection_cpp = 0xef,
        msoulscat_connection_cs = 610,
        msoulscat_connectiondesign_cs = 40,
        msoulscat_connectionmanagerfactory_cs = 0x634,
        msoulscat_connectionruntime_cs = 650,
        msoulscat_consumercollection_cs = 0x35d,
        msoulscat_contactfieldcontrol_cs = 0x4b8,
        msoulscat_contactus_cs = 0x84,
        msoulscat_containercontrol_cs = 0x181,
        msoulscat_content_cs = 0x3ab,
        msoulscat_contentfile_cs = 0x6cb,
        msoulscat_contentrating_cs = 0x2d,
        msoulscat_contentsource_cs = 0x3d9,
        msoulscat_contentsourcecollection_cs = 0x36f,
        msoulscat_contentspage_cs = 0x269,
        msoulscat_contenttypeserializer_cs = 0x1dc,
        msoulscat_contentwebpart_cs = 0x17,
        msoulscat_contexml_cs_pp = 0xb0,
        msoulscat_context_cs = 0x62c,
        msoulscat_contour2_cs = 0x672,
        msoulscat_controller_cpp = 0xea,
        msoulscat_convert_cs = 0x69e,
        msoulscat_converterdocument_cs = 0x11d,
        msoulscat_convertersettings_aspx_cs = 0x45d,
        msoulscat_converterutils_cs = 0x102,
        msoulscat_copyfiles_cs = 0x64f,
        msoulscat_courselist_cs = 0x5d,
        msoulscat_cpobjectstatus_cs = 0x12f,
        msoulscat_crawledproperty_cs = 0x350,
        msoulscat_crawlmappings_cs = 0x3ec,
        msoulscat_crawlrule_cs = 860,
        msoulscat_crawlrulecollection_cs = 0x3c3,
        msoulscat_createmysite_aspx_cs = 0x4aa,
        msoulscat_createpwa_aspx_cs = 0x362,
        msoulscat_createreport_aspx_cs = 0xa8,
        msoulscat_createsitecollectionpanel1_cs = 0x4c7,
        msoulscat_createsitepanel1_cs = 0x4fa,
        msoulscat_credentials_cs = 0x642,
        msoulscat_crosspagesource_cs = 0x30a,
        msoulscat_crosspagetarget_cs = 0x326,
        msoulscat_crossprojectlinkcontrol_cs = 0x1de,
        msoulscat_csa_cs = 0x8d,
        msoulscat_cscutil_cs = 0x231,
        msoulscat_cspellermgr_cpp = 0x40d,
        msoulscat_cspellerworker_cpp = 0x429,
        msoulscat_css_cs = 0x6de,
        msoulscat_cthesaurusmgr_cpp = 0x426,
        msoulscat_cthesaurusworker_cpp = 0x423,
        msoulscat_ctypemgr_cpp = 0x5bd,
        msoulscat_cubeadmin_cs = 910,
        msoulscat_customcontentsource_cs = 0x38d,
        msoulscat_customfields_cs = 0x37f,
        msoulscat_customreport_aspx_cs = 0x363,
        msoulscat_cwredir_aspx_cs = 0x241,
        msoulscat_dailyview_cs = 0x704,
        msoulscat_dailyviewbase_cs = 0x707,
        msoulscat_dal_cs = 0x66f,
        msoulscat_dashboardhelper_cs = 0x4fc,
        msoulscat_dataaccess_cs = 0x4e5,
        msoulscat_dataaccesslogic_cs = 0x459,
        msoulscat_database_cs = 0x6cd,
        msoulscat_datafilemanager_cs = 0x24d,
        msoulscat_dataformwebpart_cs = 0x1da,
        msoulscat_datasource_cs = 0x1ba,
        msoulscat_datatransform_cs = 0x5da,
        msoulscat_dataverification_cs = 0x35e,
        msoulscat_dataviewwebpart_cs = 0x25d,
        msoulscat_dateformattinginfo_cs = 0x630,
        msoulscat_datepicker_cs = 0xfc,
        msoulscat_datetimeutilities_cs = 0x6f6,
        msoulscat_db_cpp = 0x5cc,
        msoulscat_dbaccessnt_cpp = 0x57f,
        msoulscat_dbconshost_cpp = 0xee,
        msoulscat_dbdocprs_cpp = 0x594,
        msoulscat_dbserver_cpp = 0x5b4,
        msoulscat_dbtest_cpp = 0x573,
        msoulscat_dbthmmgr_cpp = 0x59c,
        msoulscat_dbweb_cpp = 0x5c5,
        msoulscat_dbwrapper_cs = 0x44,
        msoulscat_dbxmlprs_cpp = 0x592,
        msoulscat_dcresults_cs = 0x8e,
        msoulscat_debugmanager_cs = 230,
        msoulscat_deeptreecontrol_cs = 0x6d6,
        msoulscat_default_aspx_cs = 0x40,
        msoulscat_default_aspx_cs_pp = 0x53,
        msoulscat_default_cs = 0x43,
        msoulscat_deletessp_aspx_cs = 0x3d3,
        msoulscat_deletessp_cs = 0x47a,
        msoulscat_deployment_aspx_cs = 0x2c4,
        msoulscat_deploymentobject_cs = 0x303,
        msoulscat_deploymentserializationsurrogate_cs = 0x2e8,
        msoulscat_deploymentwrapper_cs = 0x45e,
        msoulscat_deplsoap_cs = 0x493,
        msoulscat_details_aspx_cs = 0x697,
        msoulscat_dglx_cs = 0x49,
        msoulscat_dglxasset_cs = 0x48,
        msoulscat_diagnostichelp_cs = 0x2c9,
        msoulscat_dict_cpp = 0x567,
        msoulscat_dictionaryserializer_cs = 0x273,
        msoulscat_dimensionpropertyrow_cs = 0x30e,
        msoulscat_dir_cpp = 0x5a2,
        msoulscat_directdownload_cs = 0x368,
        msoulscat_dirtest_cpp = 0x575,
        msoulscat_displaygroup_cs = 0x3b5,
        msoulscat_DLC_DM = 0x439,
        msoulscat_DLC_IRM = 0x43d,
        msoulscat_DLC_OfficialFile = 0x43e,
        msoulscat_DLC_Policy = 0x43a,
        msoulscat_DLC_Workflow = 0x43c,
        msoulscat_dlevents_cs = 490,
        msoulscat_dmuoldoc_cpp = 5,
        msoulscat_dmuopen_cpp = 6,
        msoulscat_dmuplbar_cpp = 4,
        msoulscat_doc_cpp = 0x700,
        msoulscat_DocConv_Communication = 0x61a,
        msoulscat_docconv_launcher = 0x619,
        msoulscat_docconv_loadbalancer = 0x61e,
        msoulscat_docconv_spservices = 0x622,
        msoulscat_DocConv_Timer = 0x61b,
        msoulscat_docimg_cpp = 0x553,
        msoulscat_docmhtml_cpp = 0x554,
        msoulscat_docparse_cpp = 0x6f5,
        msoulscat_doctrans_cpp = 0x6ff,
        msoulscat_document_cs = 0x101,
        msoulscat_documentlibraryserializer_cs = 0x27c,
        msoulscat_docupdt_cpp = 0x6d9,
        msoulscat_domain_cpp = 0x5ad,
        msoulscat_domtest_cpp = 0x5ce,
        msoulscat_downloads_cs = 0x9c,
        msoulscat_downloadxml_cs = 0x2c2,
        msoulscat_dropdownlist_cs = 0x100,
        msoulscat_dspdatasource_cs = 0x293,
        msoulscat_dwsbase_cs = 670,
        msoulscat_dwscreate_cs = 0x232,
        msoulscat_dwsimpl_cs = 0x23b,
        msoulscat_dwspublish_cs = 0x349,
        msoulscat_dwutil_cpp = 0x10d,
        msoulscat_EAWF_EGLib = 0x392,
        msoulscat_EAWF_EGPagecode = 990,
        msoulscat_EAWF_Lib = 0x3f4,
        msoulscat_EAWF_Pagecode = 0x393,
        msoulscat_EAWF_Schedules = 0x39a,
        msoulscat_EAWF_SOAP = 0x3f9,
        msoulscat_editdsserver_aspx_cs = 0x4b7,
        msoulscat_editgroup_cs = 0x2a6,
        msoulscat_editnav_aspx_cs = 0x209,
        msoulscat_editorialassets_cs = 0x62,
        msoulscat_editpolicy_aspx_cs = 0x516,
        msoulscat_editproperty_aspx_cs = 0x4e6,
        msoulscat_editpropertymls_cs = 0x509,
        msoulscat_editsection_aspx_cs = 0x4f2,
        msoulscat_editview_aspx_cs = 0x641,
        msoulscat_emaildeliverysystem_cs = 0x3d0,
        msoulscat_emailedrecordshandler_cs = 0x36a,
        msoulscat_encarta_cs = 0xa1,
        msoulscat_encrypt_cpp = 0x54c,
        msoulscat_entity_cs = 0x66d,
        msoulscat_entityeditor_cs = 0x48e,
        msoulscat_entityinstancenamecontrol_cs = 0x4e0,
        msoulscat_enumpropertyrow_cs = 0x13,
        msoulscat_error_cs = 0x24a,
        msoulscat_errorboardentry_cs = 0x402,
        msoulscat_errorinfo_cs = 0x44b,
        msoulscat_errorpage_cs = 0x1e2,
        msoulscat_errorpage_cs_pp = 0x26,
        msoulscat_errorutility_cs = 0x1bb,
        msoulscat_errorutils_cs = 0x66b,
        msoulscat_ES_API = 0xbb,
        msoulscat_ES_ECS_Authorization = 0xd1,
        msoulscat_ES_ECS_ExcelCalculationServer = 0xd5,
        msoulscat_ES_ECS_ExternalData = 0xcc,
        msoulscat_ES_ECS_ExternalDataAuth = 0xcb,
        msoulscat_ES_ECS_ExternalDataConnection = 210,
        msoulscat_ES_ECS_Persistence = 0xcd,
        msoulscat_ES_ECS_Session = 0xbf,
        msoulscat_ES_ECS_UnusedItemManager = 0xd6,
        msoulscat_ES_ECSProxy = 200,
        msoulscat_ES_EWR = 190,
        msoulscat_ES_Management = 0x116,
        msoulscat_ES_ManagementUI = 0x1c6,
        msoulscat_ES_WFE = 280,
        msoulscat_eschart_cpp = 0x249,
        msoulscat_esdatasource_cpp = 0x41e,
        msoulscat_esdatasourceentry_cpp = 0x416,
        msoulscat_esdatasourceentry_h = 0x409,
        msoulscat_evaluatormodeprovisioning_cs = 0x460,
        msoulscat_event_cpp = 0x1ca,
        msoulscat_event_cs = 0x121,
        msoulscat_eventconfigurationtimerjob_cs = 0x3be,
        msoulscat_eventhandler_cs = 0x126,
        msoulscat_eventmanagergenerator_cs = 0x468,
        msoulscat_eventreceiverserializer_cs = 0x1f2,
        msoulscat_eventrichtextchange_cs = 0x1c9,
        msoulscat_ewasearchplugin_cs = 0x225,
        msoulscat_excelkpiprofilepage_aspx_cs = 0x4e4,
        msoulscat_excelprofilepage_cs = 0x4d8,
        msoulscat_excelserversettings_cs = 0x125,
        msoulscat_excelservice_asmx_cs = 240,
        msoulscat_exchangepublicfoldercontentsource_cs = 0x3a7,
        msoulscat_expirationnotification_cs = 0x2e7,
        msoulscat_export_cpp = 0x7c,
        msoulscat_exportobjectmanager_cs = 0x308,
        msoulscat_exports_cpp = 0x42c,
        msoulscat_expression_cs = 0x68b,
        msoulscat_expressionparser_cs = 0x68a,
        msoulscat_extendedservicecontroller_cs = 0x653,
        msoulscat_extension_cs = 0x3eb,
        msoulscat_extensioncollection_cs = 0x3a5,
        msoulscat_factfinder_cs = 0x7a,
        msoulscat_farmcredentialmanagement_aspx_cs = 0x45c,
        msoulscat_fccache_cs = 0x261,
        msoulscat_featuremenutemplate_cs = 0x681,
        msoulscat_featuremgr_cpp = 0x559,
        msoulscat_featurepushdownmanager_cs = 0x611,
        msoulscat_featurereceiver_cs = 0x4f7,
        msoulscat_featureserializer_cs = 0x1d0,
        msoulscat_FeaturesInfrastructure = 0x452,
        msoulscat_fieldcache_cpp = 0x6dc,
        msoulscat_fieldtemplateserializer_cs = 0x345,
        msoulscat_fieldtypecontrols_cs = 0x26d,
        msoulscat_fieldtypes_cpp = 0x550,
        msoulscat_fileimporter_cs = 0x9f,
        msoulscat_fileobjecthelper_cs = 0x2e1,
        msoulscat_fileopenexception_cs = 0x127,
        msoulscat_fileserializer_cs = 0x2aa,
        msoulscat_filesharecontentsource_cs = 0x391,
        msoulscat_fileversionserializer_cs = 0x287,
        msoulscat_filterconsumerconnectionagent_cs = 0x257,
        msoulscat_filterconsumerinfobar_cs = 0x491,
        msoulscat_filtercontrol_cs = 0x47f,
        msoulscat_filterdal_cs = 0x5dc,
        msoulscat_filterdescriptor_cs = 0x669,
        msoulscat_filterproviderconnectionagent_cs = 0x21f,
        msoulscat_filterproviderinfobar_cs = 0x490,
        msoulscat_filtervaluespicker_cs = 0x511,
        msoulscat_fldeditex_aspx_cs = 0x27f,
        msoulscat_fldnewex_aspx_cs = 0x31b,
        msoulscat_flsttest_cpp = 0x571,
        msoulscat_fntcache_cpp = 0x579,
        msoulscat_folderserializer_cs = 0x331,
        msoulscat_footer_cs = 0x2ff,
        msoulscat_footernav_cs = 0x456,
        msoulscat_footernav_cs_pp = 0x36e,
        msoulscat_formatstringparser_h = 0xf2,
        msoulscat_formcontrols_cs = 7,
        msoulscat_formcontrols_cs_pp = 0x7f,
        msoulscat_formserializer_cs = 0x304,
        msoulscat_formservices_administration = 0x5f1,
        msoulscat_formservices_deployment = 0x616,
        msoulscat_formservices_runtime = 0x60c,
        msoulscat_formservices_runtime_businesslogic = 0x607,
        msoulscat_formservices_runtime_dataconnections = 0x5f2,
        msoulscat_formservices_runtime_sessionstate = 0x604,
        msoulscat_fpset_cpp = 0x576,
        msoulscat_fpsrvreq_cpp = 0x6f7,
        msoulscat_framewrk_cpp = 0x5bf,
        msoulscat_freebusy_cs = 0x608,
        msoulscat_fsimpl_cpp = 0x6fa,
        msoulscat_gallery_cs = 0x23,
        msoulscat_ganttbasecontrol_cs = 0x2e3,
        msoulscat_gatherer_cs = 0x403,
        msoulscat_gathererapplication_cs = 0x3af,
        msoulscat_gathererproject_cs = 0x404,
        msoulscat_gdimtest_cpp = 0x595,
        msoulscat_genresxids_xsl = 0x68,
        msoulscat_ghostpg_cpp = 0x54e,
        msoulscat_global_cs = 0x24b,
        msoulscat_globalsearchwebservice_cs = 0x44a,
        msoulscat_globalsearchwebserviceproxy_cs = 0x447,
        msoulscat_globalstorage_cs = 0x12e,
        msoulscat_gmail_cpp = 0x556,
        msoulscat_gmail_cs = 0x624,
        msoulscat_groupcompatibility_cs = 0x298,
        msoulscat_groupdetailwebpart_cs = 0x4cb,
        msoulscat_groupmembers_cs = 0x2f1,
        msoulscat_guidutil_cs = 0x696,
        msoulscat_hailstorm_cs = 11,
        msoulscat_hashtest_cpp = 0x57a,
        msoulscat_header_cs = 0x259,
        msoulscat_helpcategory_cs = 0x31e,
        msoulscat_helper_cs = 0x39,
        msoulscat_helpers_cs = 0xf9,
        msoulscat_helphome_cs = 0x237,
        msoulscat_helppreview_cs = 0x211,
        msoulscat_helptemplate_cs = 0x6d3,
        msoulscat_hfws_cs = 0x9b,
        msoulscat_hfwssrch_cs = 0x9a,
        msoulscat_hitcount_cpp = 0x557,
        msoulscat_hold_cs = 0x36d,
        msoulscat_holdingzone_cs = 0x441,
        msoulscat_hostsfile_cs = 0x3bb,
        msoulscat_hsserver_saspx = 0x29a,
        msoulscat_htmhandler_cs = 0x5a7,
        msoulscat_htmltranslate_cs = 0x27,
        msoulscat_htmltrmap_cpp = 0x547,
        msoulscat_htmtable_cpp = 0x6e7,
        msoulscat_httpaa_cpp = 0x701,
        msoulscat_httpdav_cpp = 0x59f,
        msoulscat_httpencodingutility_cs = 0x680,
        msoulscat_httpget_hpp = 0x551,
        msoulscat_httpmodule_cs = 0x2a,
        msoulscat_httpsrvr_cpp = 0x6e8,
        msoulscat_i64test_cpp = 0x598,
        msoulscat_icell_cs = 0x2c7,
        msoulscat_iconmap_cpp = 0x561,
        msoulscat_iconnector_cs = 0x2b0,
        msoulscat_icshandler_cs = 0x606,
        msoulscat_icshandler_cs_pp = 0x70d,
        msoulscat_idcdict_cpp = 0x574,
        msoulscat_idcdicttest_cpp = 0x5a8,
        msoulscat_identifier_cs = 0x656,
        msoulscat_ilist_cs = 0x22e,
        msoulscat_imagecontrols_cs_pp = 0x2f,
        msoulscat_imageconv_cs = 680,
        msoulscat_imagegen_cs = 0x248,
        msoulscat_imagegenservice_cs = 0x256,
        msoulscat_imagewebpart_cs = 0x2e6,
        msoulscat_imagingimpl_cs = 0x22a,
        msoulscat_imaptest_cpp = 0x558,
        msoulscat_implementjob_cs = 0xa3,
        msoulscat_importobjectmanager_cs = 0x25a,
        msoulscat_importtoolpart_cs = 0x22,
        msoulscat_importwebpart_cs = 0x21,
        msoulscat_indexingschedulejobdefinition_cs = 0x601,
        msoulscat_indicatorwebpart_cs = 0x4de,
        msoulscat_internaltoolspage_cs = 0x8a,
        msoulscat_io_cpp = 0x5ca,
        msoulscat_iotest_cpp = 0x5c2,
        msoulscat_iparamsout_cs = 0x31a,
        msoulscat_ipfs_binding = 0xd0,
        msoulscat_ipfs_dataadapter = 0xc7,
        msoulscat_ipfs_deployment = 0xd3,
        msoulscat_ipfs_formload = 0xcf,
        msoulscat_ipfs_om = 0xc5,
        msoulscat_ipfs_render = 0xbd,
        msoulscat_ipfs_runtime = 0xd8,
        msoulscat_ipfs_testom = 0xce,
        msoulscat_ipfs_validation = 0xc4,
        msoulscat_iposmfauthupdate_cs = 160,
        msoulscat_irow_cs = 0x2eb,
        msoulscat_isqlsearchquery_cs = 0xb3,
        msoulscat_issuelistserializer_cs = 0x23d,
        msoulscat_itempicker_cs = 0x4a0,
        msoulscat_itempickerdialog_cs = 0x50f,
        msoulscat_itemquerycontrol_cs = 0x4b9,
        msoulscat_iwsuserutil_cs = 0x6c1,
        msoulscat_iwsuserutil15_cs = 0x717,
        msoulscat_jbtest_aspx_cs = 0x30d,
        msoulscat_jobhandler_cs = 0x10f,
        msoulscat_jobscheduler_cs = 0x110,
        msoulscat_jobschedulersharedapplication_cs = 0x115,
        msoulscat_jukebox_cs = 0x6ec,
        msoulscat_keysprotection_cs = 140,
        msoulscat_KI_Server = 0x645,
        msoulscat_kolraddressdbnameprovider_cs = 0x524,
        msoulscat_kolraddresssearch_cs = 0x523,
        msoulscat_kolraddressuiformnameprovider_cs = 0x51f,
        msoulscat_kolraddressuitextresource_cs = 0x52a,
        msoulscat_kolrcommoncommservice_cs = 0x528,
        msoulscat_kolrcommondbservice_cs = 0x51e,
        msoulscat_kolrcommonresourceprovider_cs = 0x529,
        msoulscat_kolrforeignworddbnameprovider_cs = 0x526,
        msoulscat_kolrforeignwordlookup_cs = 0x51d,
        msoulscat_kolrforeignworduiformnameprovider_cs = 0x52c,
        msoulscat_kolrforeignworduitextresource_cs = 0x52b,
        msoulscat_kolrkoreanutility_cs = 0x527,
        msoulscat_kolrqueryasmx_cs = 0x525,
        msoulscat_kolrromanizationservice_cs = 0x522,
        msoulscat_kolrromanizer_cs = 0x521,
        msoulscat_kolrromanresource_cs = 0x520,
        msoulscat_kpiauthwork_cs = 0x4f9,
        msoulscat_kpieditform_cs = 0x512,
        msoulscat_kpihelper_cs = 0x4d4,
        msoulscat_kpilisttoolpart_cs = 0x506,
        msoulscat_kpilistwebpart_cs = 0x4d5,
        msoulscat_kpinewform_cs = 0x4fe,
        msoulscat_kwrapper_hpp = 0x6bf,
        msoulscat_langcpmap_cpp = 0x546,
        msoulscat_langdefaults_cpp = 0x5b9,
        msoulscat_launcher_cs = 0x6a8,
        msoulscat_launcherservice_cs = 0x6a9,
        msoulscat_ldapmembershipprovider_cs = 0x2cd,
        msoulscat_ldaproleprovider_cs = 0x228,
        msoulscat_leafcontrol_cs = 0x183,
        msoulscat_left_cs = 0x201,
        msoulscat_leftnav_cs = 0x51c,
        msoulscat_leftnav_cs_pp = 0x33b,
        msoulscat_licensing_cs = 0x3b0,
        msoulscat_licensingjob_cs = 0x3d7,
        msoulscat_linkscheckerjob_cs = 0x504,
        msoulscat_linkscheckerjobcommandline_cs = 0x66a,
        msoulscat_linkscheckerjobsettings_aspx_cs = 0x4b0,
        msoulscat_linkscheckerprotocol_cs = 0x4cc,
        msoulscat_linkserializer_cs = 0x32d,
        msoulscat_linktest_cpp = 0x565,
        msoulscat_listconsumerconnectionagent_cs = 0x1ee,
        msoulscat_listcontrols_cs = 0x436,
        msoulscat_listdataimpl_cs = 0x266,
        msoulscat_listform_cs = 0x43b,
        msoulscat_listformwebpart_cs = 0x26b,
        msoulscat_listingsummary_cs = 0x4d9,
        msoulscat_listitemfieldhelper_cs = 0x253,
        msoulscat_listitemobjecthelper_cs = 820,
        msoulscat_listitemserializer_cs = 0x25c,
        msoulscat_listitemversionserializer_cs = 0x2fb,
        msoulscat_listobjecthelper_cs = 0x22c,
        msoulscat_listproviderconnectionagent_cs = 0x33f,
        msoulscat_listserializer_cs = 0x1f9,
        msoulscat_listtabstrip_cs = 0x650,
        msoulscat_listviewtoolpart_cs = 0x324,
        msoulscat_listviewwebpart_cs = 0x2ec,
        msoulscat_litelocktest_cpp = 0x5a3,
        msoulscat_loadbalancer_cs = 0x6ac,
        msoulscat_loadbalancerservice_cs = 0x6a6,
        msoulscat_lobsystem_cs = 0x65d,
        msoulscat_lobsysteminstance_cs = 0x652,
        msoulscat_localize_cpp = 0x586,
        msoulscat_loccontrols_cs_pp = 0x4c9,
        msoulscat_lockbyte_cpp = 0x545,
        msoulscat_locktest_cpp = 0x5b3,
        msoulscat_log_cpp = 0x542,
        msoulscat_loggingtestom_cs = 0x373,
        msoulscat_logprocess_cpp = 0x54f,
        msoulscat_longrunningoperation = 0x6b5,
        msoulscat_longrunningoperation_cs = 0x63a,
        msoulscat_lookuptable_cs = 0x3a9,
        msoulscat_lookuptabledal_cs = 0x3ae,
        msoulscat_lotusnotescontentsource_cs = 0x3b8,
        msoulscat_lroperationstatus_aspx_cs = 0x667,
        msoulscat_lwpdetails_aspx_cs = 0x694,
        msoulscat_mailmsg_cpp = 0x59b,
        msoulscat_main_cs = 0x85,
        msoulscat_managecheckedoutfiles_aspx_cs = 730,
        msoulscat_managedcodeinterop_cpp = 0x570,
        msoulscat_managedobjectfactorycache_cpp = 0x55a,
        msoulscat_managedproperty_cs = 890,
        msoulscat_manageinterfarmservices_aspx_cs = 930,
        msoulscat_managepermissions_aspx_cs = 0x50d,
        msoulscat_manualbuilderonlypropertyrow_cs = 0x235,
        msoulscat_manuallistpropertyrow_cs = 0x2d9,
        msoulscat_marketexclusions_cs = 0x6db,
        msoulscat_marketexclusions_cs_pp = 0xad,
        msoulscat_matchingrule_cs = 0x3e2,
        msoulscat_mcategorizer_cs = 0x6d7,
        msoulscat_mdcttest_cpp = 0x57d,
        msoulscat_mediadownload_cs = 0x36,
        msoulscat_meetings_asmx_cs = 720,
        msoulscat_meetingsimpl_cs = 0x206,
        msoulscat_meetingspane_cs = 0x1ff,
        msoulscat_membergroup_cs = 0x3f0,
        msoulscat_membergroupmanager_cs = 0x3d8,
        msoulscat_memberswebpart_cs = 0x4ed,
        msoulscat_memmgr_cpp = 0x6d0,
        msoulscat_menu_cs = 660,
        msoulscat_messageprocessor_cs = 0x411,
        msoulscat_messageutils_cs = 0x47e,
        msoulscat_metabase_cpp = 0x569,
        msoulscat_metainfohandler_cs = 0x410,
        msoulscat_metricscontrol_cs = 0x6d2,
        msoulscat_mgr_notification_aspx_cs = 0x62f,
        msoulscat_mgrdsserver_aspx_cs = 0x502,
        msoulscat_mgrdsserver_cs = 0x49e,
        msoulscat_mgrproperty_aspx_cs = 0x4c1,
        msoulscat_mgrproperty_cs = 0x4bc,
        msoulscat_migrationdataaccess_cs = 0xfd,
        msoulscat_mimetest_cpp = 0x5c8,
        msoulscat_miscellaneouscontrols_cs_pp = 0x31c,
        msoulscat_miscutil_cpp = 0x589,
        msoulscat_mlmlt_cs = 0x27e,
        msoulscat_mmcf_bytestream = 0xde,
        msoulscat_mmcf_metadata = 0x130,
        msoulscat_mmcf_metro = 0xe3,
        msoulscat_mmcf_metro_contenttype = 0xe0,
        msoulscat_mmcf_metro_part = 0xe2,
        msoulscat_mmcf_metro_relationship = 0xda,
        msoulscat_mmcf_nameservice = 0xe1,
        msoulscat_mmcf_other = 220,
        msoulscat_mmcf_zip = 0xdf,
        msoulscat_mmcf_zip_cdrecord = 0xdb,
        msoulscat_mmcf_zip_zipitem = 0xdd,
        msoulscat_mobileviewgenerationvisitor_cs = 0x34e,
        msoulscat_mobilexmlform_cs = 0x34d,
        msoulscat_modelervalidate_cs = 0x3ce,
        msoulscat_modules_cpp = 0x5b1,
        msoulscat_moneycentral_cs = 0x7e,
        msoulscat_moneycommon_cs = 0x7d,
        msoulscat_moveop_cpp = 0x70a,
        msoulscat_mputil_cs = 0x91,
        msoulscat_msnsearch_cs = 0x69,
        msoulscat_msouls_h = 460,
        msoulscat_mssearchquery_cs = 0x432,
        msoulscat_mtgaddlisttoolpart_cs = 0x229,
        msoulscat_multicollist_cs = 0x435,
        msoulscat_multitrieindexservice_cpp = 0x57,
        msoulscat_mydocuments_cs = 0x4e9,
        msoulscat_mygroups_cs = 0x27d,
        msoulscat_mylinks_cs = 0x3c2,
        msoulscat_mypersonalspace_cs = 0x49b,
        msoulscat_myprofile_cs = 0x6bb,
        msoulscat_mysitecleanupjob_cs = 0x654,
        msoulscat_mysitefeatures_cs = 0x643,
        msoulscat_mysitemapprovider_cs = 0x500,
        msoulscat_mysiteusercontrols_cs = 0x51a,
        msoulscat_namevaluepaircollectiontypeconverter_cs = 0x677,
        msoulscat_navbar_cpp = 0x58d,
        msoulscat_navcat_cs = 0x649,
        msoulscat_navigation_cs = 0x710,
        msoulscat_newdwp_cs = 0x1f0,
        msoulscat_newgroup_cs = 0x279,
        msoulscat_newmws_aspx_cs = 0x54,
        msoulscat_newnav_aspx_cs = 0x214,
        msoulscat_noblockl_cpp = 0x583,
        msoulscat_notification_aspx_cs = 0x62a,
        msoulscat_notifications_cs = 0x385,
        msoulscat_notify_cs = 0x18,
        msoulscat_nukenpave_aspx_cs = 0x3fc,
        msoulscat_numericpropertyrow_cs = 0x234,
        msoulscat_oaentry_cpp = 13,
        msoulscat_objecthelper_cs = 0x239,
        msoulscat_objectlinkprovider_cs = 0x3f1,
        msoulscat_objectmanager_cs = 0x2e0,
        msoulscat_objectserializer_cs = 0x207,
        msoulscat_office_cs = 0x92,
        msoulscat_officeidentity_cs = 0x1fa,
        msoulscat_officeserversqm_cs = 0x46c,
        msoulscat_officesid_cs = 0x6bc,
        msoulscat_ofsauth_cpp = 0x88,
        msoulscat_ohlapi_cs = 0x6dd,
        msoulscat_ohlapi_cs_pp = 0x2b8,
        msoulscat_omplite_cs = 0x90,
        msoulscat_onetnative_cpp = 0x471,
        msoulscat_onlineuser_cs = 0x6c2,
        msoulscat_operfdll_cpp = 0x79,
        msoulscat_osfs_cs = 0x6cf,
        msoulscat_OSRV_General = 0x5ec,
        msoulscat_OSRV_SetupUpgrade = 0x5f7,
        msoulscat_OSRV_SharedServices = 0x530,
        msoulscat_ossindexgathererapplication_cs = 0x389,
        msoulscat_ossprimarygathererproject_cs = 0x355,
        msoulscat_overlays_hpp = 0x6ef,
        msoulscat_owainterface_cs = 0x6fc,
        msoulscat_oxml_cs = 0x24,
        msoulscat_packageimporter_cs = 0x538,
        msoulscat_packagevalidator_cs = 0x6c0,
        msoulscat_packaging_cs = 0x6b7,
        msoulscat_page_cs_pp = 0x1ec,
        msoulscat_pagecontextassets_cs = 0xb2,
        msoulscat_pagecontextfiltertoolpart_cs = 0x49f,
        msoulscat_pageinfo_cs = 0x668,
        msoulscat_pageparserassembly_cs = 0x289,
        msoulscat_pageperfmon_cs = 0x454,
        msoulscat_paging_cs = 0x431,
        msoulscat_pagingcontrol_cs = 0x6cc,
        msoulscat_panelcontrols_cs_pp = 0x2bb,
        msoulscat_parametersinconsumerconnectionagent_cs = 840,
        msoulscat_parametersinproviderconnectionagent_cs = 0x30f,
        msoulscat_parametersoutconsumerconnectionagent_cs = 0x295,
        msoulscat_parametersoutproviderconnectionagent_cs = 0x268,
        msoulscat_paramsoutparamsinxform_cs = 0x205,
        msoulscat_parser_cs = 0x6ea,
        msoulscat_parserinterface_cs = 0x6f2,
        msoulscat_partcache_cs = 20,
        msoulscat_partnereditcontact_cs = 0x47,
        msoulscat_partnereditlisting_cs = 0x3f,
        msoulscat_partnermain_cs = 0x41,
        msoulscat_partnernew_cs = 0x3a,
        msoulscat_partnerpage_cs = 0x87,
        msoulscat_passportemaillookup_cs = 0x52f,
        msoulscat_path_cpp = 0x57c,
        msoulscat_pathtest_cpp = 0x57e,
        msoulscat_pcentry_aspx_cs = 0x57b,
        msoulscat_pcpassportlogin_aspx_cs = 0x56f,
        msoulscat_pcregister_aspx_cs = 0x5c0,
        msoulscat_pcthankyou_aspx_cs = 0x560,
        msoulscat_people_aspx_cs = 0x1e9,
        msoulscat_peoplecoreresults_cs = 0x381,
        msoulscat_peoplepicker_cs = 0x2fe,
        msoulscat_perfmon_cpp = 0xe9,
        msoulscat_perfmoncollect_cpp = 0xf1,
        msoulscat_perfmonmemory_cpp = 0xe4,
        msoulscat_perfmonmemory_h = 0xe7,
        msoulscat_permit_cs = 0x19,
        msoulscat_persistconnection_cs = 0x2fa,
        msoulscat_personalactions_cs = 0x437,
        msoulscat_personalizationserializer_cs = 0x494,
        msoulscat_personalpages_cs = 0x66c,
        msoulscat_personalsites_aspx_cs = 0x64b,
        msoulscat_pickertreeview_aspx_cs = 0x11a,
        msoulscat_picturelibraryserializer_cs = 0x250,
        msoulscat_pinvoke_cs = 0x41d,
        msoulscat_pivotcache_cpp = 0xe5,
        msoulscat_pivotservice_cpp = 0x3f7,
        msoulscat_pivottable_cpp = 0xe8,
        msoulscat_pjadvapi32_cs = 870,
        msoulscat_pjlanguageinfo_cs = 0x6b0,
        msoulscat_pjsqlcommand_cs = 0x68f,
        msoulscat_platformdatareader_cs = 0x44e,
        msoulscat_policheck_cs = 0x2b7,
        msoulscat_policy_cs = 0x129,
        msoulscat_policyrptjobdefn_cs = 0x3c6,
        msoulscat_portalaccesscontrollist_cs = 0x271,
        msoulscat_portalaccountmigrationmanager_cs = 0x507,
        msoulscat_portalapi_cs = 0x657,
        msoulscat_portalapplication_cs = 0x637,
        msoulscat_portalcategory_cs = 0x4b,
        msoulscat_portalglobals_cs = 0x4ac,
        msoulscat_portalinstaller_cs = 0x4f8,
        msoulscat_portalpreview_cs = 50,
        msoulscat_portalproviderpreview_cs = 0x38,
        msoulscat_portalsharedapplication_cs = 0x4a8,
        msoulscat_portconf_cpp = 0x706,
        msoulscat_portfolioresults_cs = 0x698,
        msoulscat_postinfo_cpp = 0x6f4,
        msoulscat_ppspelling_cs = 0x40e,
        msoulscat_ppstatic_cs = 0x408,
        msoulscat_ppthesaurus_cs = 0x425,
        msoulscat_preparejpb_cs = 0xa6,
        msoulscat_preparetomove_cs = 0x678,
        msoulscat_preprocessedcalendarsinformation_cs = 0x3b3,
        msoulscat_pretty_print_cpp = 0x5a9,
        msoulscat_preview_cs = 0x4d,
        msoulscat_previewpagingbar_cs = 0x76,
        msoulscat_privacypolicy_cs = 0x3b2,
        msoulscat_privacypolicymanager_cs = 0x377,
        msoulscat_processadsyncmessage_cs = 0x428,
        msoulscat_processarchiverestoremessage_cs = 0x421,
        msoulscat_processcreatewsssitemessages_cs = 0x413,
        msoulscat_processlightweightprojectmessages_cs = 0x414,
        msoulscat_processmessagethread_cs = 0x445,
        msoulscat_processmiscmessage_cs = 0x42f,
        msoulscat_processnotificationmessage_cs = 0x42e,
        msoulscat_processnotifymessage_cs = 0x40f,
        msoulscat_processprojectarchivemessage_cs = 0x427,
        msoulscat_processprojectdeletemessage_cs = 0x40a,
        msoulscat_processprojectrestoremessage_cs = 0x42a,
        msoulscat_processpublishmessage_cs = 0x3cc,
        msoulscat_processrendezvousmessage_cs = 0x424,
        msoulscat_processreversepublish_cs = 0x5db,
        msoulscat_processsavemessage_cs = 0x395,
        msoulscat_processsprmessage_cs = 0x419,
        msoulscat_processsspmessage_cs = 0x41b,
        msoulscat_processstatusapprovalmessage_cs = 0x496,
        msoulscat_processtimermessage_cs = 0x40c,
        msoulscat_processtimesheetmessage_cs = 0x446,
        msoulscat_processtsmessage_cs = 0x42d,
        msoulscat_procglob_cpp = 0x1b3,
        msoulscat_profile_cs = 0x6b6,
        msoulscat_profileimagepicker_cs = 0x4d3,
        msoulscat_profilelistsync_cs = 0x37d,
        msoulscat_profilepropertyimage_cs = 0x4ca,
        msoulscat_profilepropertyloader_cs = 0x4eb,
        msoulscat_profileprovision_cs = 0x514,
        msoulscat_profileredirect_aspx_cs = 0x4dc,
        msoulscat_profileviewedit_cs = 0x4be,
        msoulscat_profmain_aspx_cs = 0x49d,
        msoulscat_profmngr_aspx_cs = 0x4d2,
        msoulscat_project_cs = 0x3c5,
        msoulscat_projectapplicationservice_cs = 0x412,
        msoulscat_projectapplicationserviceinstance_cs = 0x387,
        msoulscat_projectdal_cs = 0x69d,
        msoulscat_projectdatabase_cs = 0x123,
        msoulscat_projectexistence_cs = 0x3ba,
        msoulscat_projectformula_cs = 0x687,
        msoulscat_projectmain_cs = 0x38b,
        msoulscat_projectnodeconsistency_cs = 0x35a,
        msoulscat_projectoutline_cs = 0x3c9,
        msoulscat_projectpsisharedapplication_cs = 0x12a,
        msoulscat_projectpublishmessage_cs = 0x422,
        msoulscat_projectqueue_cs = 0x3c1,
        msoulscat_projectqueueservice_cs = 0x38c,
        msoulscat_projectqueueserviceinstance_cs = 0x36b,
        msoulscat_projectschedule_cs = 0x3a0,
        msoulscat_projectserveradmin_cs = 0x535,
        msoulscat_projectservererror_cs = 0x49a,
        msoulscat_projectservicebase_cs = 0x457,
        msoulscat_projectserviceinstancebase_cs = 0x464,
        msoulscat_projectsite_cs = 0x39d,
        msoulscat_projectsitecollection_cs = 0x3f8,
        msoulscat_projectteam_cs = 0x34f,
        msoulscat_projecttemplate_cs = 0x360,
        msoulscat_projectvalidate_cs = 0x394,
        msoulscat_propagation_cs = 0x688,
        msoulscat_property_cs = 0x3e3,
        msoulscat_propertydatatype_cs = 0x3fb,
        msoulscat_propertygridtable_cs = 600,
        msoulscat_propertymap_cs = 0x1e8,
        msoulscat_propertysheetctl_cs = 0x1d,
        msoulscat_propertysheetproperty_cs = 0x1fc,
        msoulscat_propertysheetrow_cs = 0x20a,
        msoulscat_providerproxy_cs = 0x417,
        msoulscat_proxykpi_cs = 0x4b6,
        msoulscat_PS_ActiveCache = 0x11e,
        msoulscat_PS_ActiveCacheEntResLoad = 0x418,
        msoulscat_PS_ActiveCacheLoad = 0x415,
        msoulscat_PS_ActiveCacheSave = 0x407,
        msoulscat_PS_ADSync = 0x2f7,
        msoulscat_PS_ProjectArchiveRestore = 0x682,
        msoulscat_PS_ProjectCalendars = 0x479,
        msoulscat_PS_ProjectCubeBuilding = 0x686,
        msoulscat_PS_ProjectGlobal = 0x495,
        msoulscat_PS_ProjectNotifications = 0x497,
        msoulscat_PS_ProjectOperations = 0x489,
        msoulscat_PS_ProjectPortfolioManagement = 0x684,
        msoulscat_PS_ProjectReporting = 0x498,
        msoulscat_PS_ProjectResource = 0x48c,
        msoulscat_PS_ProjectSecurity = 0x46d,
        msoulscat_PS_ProjectServerGeneral = 0x46b,
        msoulscat_PS_ProjectServerProvisioning = 0x61c,
        msoulscat_PS_ProjectServerQueue = 0x47c,
        msoulscat_PS_ProjectServerSideEvents = 0x48b,
        msoulscat_PS_ProjectSharepointIntegration = 0x46f,
        msoulscat_PS_ProjectStatus = 0x625,
        msoulscat_PS_ProjectStatusReports = 0x487,
        msoulscat_PS_ProjectSummaryResourceAssignments = 0x683,
        msoulscat_PS_ProjectTimesheet = 0x486,
        msoulscat_PS_ProjectWebAccess = 0x474,
        msoulscat_psiauthenticationmodule_cs = 0x3cb,
        msoulscat_pstrace_cs = 0x48a,
        msoulscat_pubcalauth_cs = 0x714,
        msoulscat_pubcalmanagerbase_cs = 0x712,
        msoulscat_pwaauthentication_cs = 0x396,
        msoulscat_pwasitemapprovider_cs = 0x68c,
        msoulscat_qdcttest_cpp = 0x5c4,
        msoulscat_qlreord_aspx_cs = 0x32b,
        msoulscat_qprint_cpp = 0x5bc,
        msoulscat_query_asmx_cs = 0x6be,
        msoulscat_querybuild_cpp = 0x709,
        msoulscat_queryinfo_cs = 0x463,
        msoulscat_querylogger_cs = 0x450,
        msoulscat_querylogqueue_cs = 0x461,
        msoulscat_queryredir_cs = 0x2d7,
        msoulscat_queryserviceimpl_cpp = 0x58,
        msoulscat_queuemanager_cs = 0x448,
        msoulscat_queueperfmon_cs = 0x53f,
        msoulscat_queuesettings_cs = 0x420,
        msoulscat_queuesystem_cs = 0x40b,
        msoulscat_queuevalidationutils_cs = 0x53a,
        msoulscat_quicklinks_cs = 0x508,
        msoulscat_quiklnch_aspx_cs = 0x31d,
        msoulscat_quiz_cs = 0x98,
        msoulscat_r_cpp = 0x9d,
        msoulscat_randomexpression_cs = 0x6a0,
        msoulscat_ranking_cs = 0x372,
        msoulscat_rankingdictionary_cs = 0x94,
        msoulscat_rankingmanager_cs = 0x2cb,
        msoulscat_rargtest_cpp = 0x5a5,
        msoulscat_rate_cs = 0xb1,
        msoulscat_ratingcontrol_cs = 60,
        msoulscat_rdirtest_cpp = 0x58e,
        msoulscat_receiver_cs = 0x41a,
        msoulscat_recent_cs = 0x466,
        msoulscat_recordset_cs = 0x434,
        msoulscat_recurrdatacontrol_cs = 640,
        msoulscat_recurtest_cpp = 0x5a6,
        msoulscat_recyclebin_aspx_cs = 0x329,
        msoulscat_redir_cs = 0x34,
        msoulscat_redirect_aspx_cs_pp = 0x27a,
        msoulscat_redirect_cs = 0x6d5,
        msoulscat_redirecttosummary_cs = 0x665,
        msoulscat_redirmgr_cpp = 0x5b5,
        msoulscat_refinesearchresults_cs = 980,
        msoulscat_refresh_cs = 0x477,
        msoulscat_refresher_cs = 0x640,
        msoulscat_regions_cpp = 0x5c1,
        msoulscat_register_cs = 0x67,
        msoulscat_registration_aspx_cs = 0x6da,
        msoulscat_registry_cpp = 0x56d,
        msoulscat_registry_cs = 0x699,
        msoulscat_relatedgroupswebpart_cs = 0x4c6,
        msoulscat_rellinksscopesettings_aspx_cs = 0x664,
        msoulscat_removeop_cpp = 0x6f8,
        msoulscat_removequeryserverjob_cs = 0x63b,
        msoulscat_removetemplate_cs = 0x6ba,
        msoulscat_reportdrilldown_aspx_cs = 0xab,
        msoulscat_reporting_cs = 0x3a3,
        msoulscat_reportingcustomfieldvaluesdal_cs = 0x444,
        msoulscat_reportinglookuptabledal_cs = 0x44c,
        msoulscat_reportingplatformreaderdal_cs = 0x537,
        msoulscat_reportingprojectdal_cs = 0x443,
        msoulscat_reportingresourcedal_cs = 0x540,
        msoulscat_reportingwssdal_cs = 0x53b,
        msoulscat_reportlibraryitemeventreceiver_cs = 0x50a,
        msoulscat_reportpage_cs = 0x4ea,
        msoulscat_reportscripterror_cs = 0x465,
        msoulscat_reqacc_cs = 0x263,
        msoulscat_request_cpp = 0x705,
        msoulscat_resource_cs = 0x354,
        msoulscat_resourceplan_cs = 0x484,
        msoulscat_restoressp_aspx_cs = 0x442,
        msoulscat_results_cs = 0x31,
        msoulscat_retention_cs = 290,
        msoulscat_retentiontask_cs = 0x128,
        msoulscat_reusabletextpicker_aspx_cs = 0x3aa,
        msoulscat_right_cs = 0x6b8,
        msoulscat_rightstest_cpp = 0x5a4,
        msoulscat_roles_cs = 0x34a,
        msoulscat_rolesinitest_cpp = 0x59e,
        msoulscat_rootprovisioner_cs = 0x39f,
        msoulscat_roundrobincollection_cs = 0x3a8,
        msoulscat_router_cs = 0x42,
        msoulscat_rowcellxform_cs = 0x20d,
        msoulscat_rowconsumerconnectionagent_cs = 0x2a9,
        msoulscat_rowfilterxform_cs = 0x200,
        msoulscat_rowparamsinxform_cs = 0x2e2,
        msoulscat_rowproviderconnectionagent_cs = 630,
        msoulscat_rowupdater_cpp = 0x626,
        msoulscat_rpcargs_cpp = 0x562,
        msoulscat_rpcdisp_cpp = 0x54b,
        msoulscat_rrcharmap_cpp = 0x5f,
        msoulscat_rrcharmaps_cpp = 100,
        msoulscat_rrisapi_cpp = 0x59,
        msoulscat_rrsc_cpp = 90,
        msoulscat_rrutil_cpp = 0x61,
        msoulscat_ruleactions_cs = 0x113,
        msoulscat_rules_cs = 0x117,
        msoulscat_rulesmessagehandler_cs = 0x378,
        msoulscat_rulesstaticfieldconsts_cs = 0x675,
        msoulscat_rulestaskupdatecriteria_cs = 0x670,
        msoulscat_rulexml_aspx_cs = 0xa7,
        msoulscat_rutil_cpp = 0x6a,
        msoulscat_rw_cpp = 0x59a,
        msoulscat_safecontrols_cs = 0x2d8,
        msoulscat_safeeventlog_cs = 0x63c,
        msoulscat_safemode_cs = 0x2a7,
        msoulscat_safesql_cs = 0x9e,
        msoulscat_safetypes_cs = 0x22f,
        msoulscat_schedule_cs = 0x379,
        msoulscat_scheduledbackup_cs = 0x480,
        msoulscat_scheduledjob_cs = 0x114,
        msoulscat_scheduledjobcollection_cs = 0x112,
        msoulscat_scheduler_cs = 0x4ce,
        msoulscat_schedulingareavisualmapper_cs = 0x715,
        msoulscat_schedulingdal_cs = 0x6a5,
        msoulscat_schedulingdaldataaccess_cs = 0x46e,
        msoulscat_schedulingdata_cs = 0x676,
        msoulscat_schedulingdataadapter_cs = 0x692,
        msoulscat_schmmgr_cpp = 0x555,
        msoulscat_scope_cs = 0x382,
        msoulscat_scorecardfiltertoolpart_cs = 0x4a2,
        msoulscat_scrubber_cs = 0x6ca,
        msoulscat_SEARCH_Admin = 0x19f,
        msoulscat_SEARCH_Anchor_Text_Plugin = 0x187,
        msoulscat_SEARCH_Anchor_Text_Plugin_Cache = 0x138,
        msoulscat_SEARCH_Anchor_Text_Plugin_Links = 0x157,
        msoulscat_SEARCH_Arpi = 0x148,
        msoulscat_search_asmx_cs = 0x3a4,
        msoulscat_SEARCH_ATLExtension = 0x176,
        msoulscat_SEARCH_Backup = 0x1a6,
        msoulscat_SEARCH_CB = 360,
        msoulscat_SEARCH_CIDSO = 0x19c,
        msoulscat_SEARCH_CIWrapper = 0x188,
        msoulscat_SEARCH_ClearnPI = 0x191,
        msoulscat_SEARCH_Cluster = 0x155,
        msoulscat_SEARCH_Collator = 0x174,
        msoulscat_SEARCH_CollatorAdmin = 0x198,
        msoulscat_SEARCH_CollatorCatalogInfo = 0x19e,
        msoulscat_SEARCH_CollatorCommand = 0x18c,
        msoulscat_SEARCH_CollatorCxn = 0x145,
        msoulscat_SEARCH_CollatorCxnMgr = 0x193,
        msoulscat_SEARCH_CollatorFetch = 0x196,
        msoulscat_SEARCH_CollatorProperties = 0x175,
        msoulscat_SEARCH_CollatorQuery = 0x150,
        msoulscat_SEARCH_CollatorRowset = 0x141,
        msoulscat_SEARCH_Common = 0x14b,
        msoulscat_search_cs = 0x55,
        msoulscat_SEARCH_CscorePI = 0x19b,
        msoulscat_SEARCH_DaemonTest = 0x189,
        msoulscat_SEARCH_Datasource = 0x199,
        msoulscat_SEARCH_DSSAdmin = 0x16f,
        msoulscat_SEARCH_DSSConnection = 0x18e,
        msoulscat_SEARCH_DSSConnectionManager = 0x142,
        msoulscat_SEARCH_DSSLogin = 0x17e,
        msoulscat_SEARCH_DSSManager = 430,
        msoulscat_SEARCH_DSSPortManager = 0x16c,
        msoulscat_SEARCH_DSSQuery = 0x133,
        msoulscat_SEARCH_EventLog = 0x16b,
        msoulscat_SEARCH_FeatureExtractorPlugin = 350,
        msoulscat_SEARCH_Featurization = 0x1cb,
        msoulscat_SEARCH_FilterDaemon = 0x131,
        msoulscat_SEARCH_FTE = 0x14d,
        msoulscat_SEARCH_GatherBackup = 0x173,
        msoulscat_SEARCH_GatherDestruction = 0x197,
        msoulscat_SEARCH_GatherDirMon = 0x17a,
        msoulscat_SEARCH_GatherDirMonQ = 0x15b,
        msoulscat_SEARCH_GathererLink = 0x151,
        msoulscat_SEARCH_GathererSql = 0x13b,
        msoulscat_SEARCH_GatherHistoryHash = 0x13e,
        msoulscat_SEARCH_GatherPI = 0x185,
        msoulscat_SEARCH_GatherPITrx = 0x178,
        msoulscat_SEARCH_GatherPropMapper = 0x179,
        msoulscat_SEARCH_GatherServiceCatalog = 0x18f,
        msoulscat_SEARCH_GatherStatus = 420,
        msoulscat_SEARCH_GatherSvc = 0x13c,
        msoulscat_SEARCH_HashMap = 320,
        msoulscat_SEARCH_IDXPIChunkBuffer = 0x161,
        msoulscat_SEARCH_IDXPIDestruction = 0x146,
        msoulscat_SEARCH_IDXPIEventLog = 0x153,
        msoulscat_SEARCH_IDXPIFTECursor = 0x1af,
        msoulscat_SEARCH_IDXPIGlobalObjectManager = 0x195,
        msoulscat_SEARCH_IDXPIPerfCntr = 0x1a3,
        msoulscat_SEARCH_IDXPIPlugin = 0x1a8,
        msoulscat_SEARCH_IDXPIPropMapper = 380,
        msoulscat_SEARCH_IDXPIUpgrade = 0x171,
        msoulscat_SEARCH_IDXPIWords = 0x1ac,
        msoulscat_SEARCH_Index = 0x6a2,
        msoulscat_SEARCH_IndexerClient = 0x15c,
        msoulscat_SEARCH_IndexerPlugin = 0x156,
        msoulscat_SEARCH_IndexerProperties = 0x1ab,
        msoulscat_SEARCH_IndexerQuery = 0x15f,
        msoulscat_SEARCH_IndexerSchema = 0x15a,
        msoulscat_SEARCH_Matrixpi = 340,
        msoulscat_SEARCH_MIMEFilter = 0x139,
        msoulscat_SEARCH_MSSearch_DAV = 330,
        msoulscat_SEARCH_MultiPI = 0x137,
        msoulscat_SEARCH_PerfCounter_Common = 0x16d,
        msoulscat_SEARCH_PerfCounter_FaultInjection = 0x160,
        msoulscat_SEARCH_PHExchangeStore = 0x18d,
        msoulscat_SEARCH_PHFile = 0x170,
        msoulscat_SEARCH_PHHttp = 0x167,
        msoulscat_SEARCH_PHMatrix = 0x149,
        msoulscat_SEARCH_PHNotes = 0x1a0,
        msoulscat_SEARCH_PHOleDb = 0x17b,
        msoulscat_SEARCH_PHRemoteExchangeStore = 0x192,
        msoulscat_SEARCH_PHSts = 0x1a1,
        msoulscat_SEARCH_Propagation_Receiving_Manager = 0x1bd,
        msoulscat_SEARCH_Propagation_Sending_Manager = 0x1b6,
        msoulscat_SEARCH_PropagationManager = 0x2ef,
        msoulscat_SEARCH_PropertyDefs = 0x143,
        msoulscat_SEARCH_PropertyStore = 0x144,
        msoulscat_SEARCH_Query = 0x69c,
        msoulscat_SEARCH_Query_Processor = 0x135,
        msoulscat_SEARCH_RetailAdmin = 0x1a2,
        msoulscat_SEARCH_RetailComponentSelection = 0x164,
        msoulscat_SEARCH_RetailExceptions = 0x16a,
        msoulscat_SEARCH_RetailFiles = 0x147,
        msoulscat_SEARCH_RetailFilter = 0x1aa,
        msoulscat_SEARCH_RetailIndexingMaps = 370,
        msoulscat_SEARCH_RetailNoiseWords = 0x184,
        msoulscat_SEARCH_RetailPHInternal = 0x166,
        msoulscat_SEARCH_RetailPHOutput = 0x180,
        msoulscat_SEARCH_RetailQuery = 0x15d,
        msoulscat_SEARCH_RetailQueryComponentSelection = 0x165,
        msoulscat_SEARCH_RetailQueryNoise = 0x13d,
        msoulscat_SEARCH_RetailQueryQP = 0x194,
        msoulscat_SEARCH_RetailQueryRange = 410,
        msoulscat_SEARCH_RetailQueryRank = 0x159,
        msoulscat_SEARCH_RetailQueryThesaurus = 390,
        msoulscat_SEARCH_RetailQueryWords = 310,
        msoulscat_SEARCH_RetailWordSink = 0x18b,
        msoulscat_SEARCH_RichErrorReporting = 0x177,
        msoulscat_SEARCH_SamplePI = 0x14f,
        msoulscat_SEARCH_ScopeCache = 0x695,
        msoulscat_SEARCH_ScopesCompilation = 0x163,
        msoulscat_SEARCH_ScopesPlugin = 400,
        msoulscat_SEARCH_ScopesQuery = 0x1a7,
        msoulscat_SEARCH_ScriptPI = 0x132,
        msoulscat_SEARCH_ServiceObj = 0x162,
        msoulscat_SEARCH_SimplePI = 0x169,
        msoulscat_SEARCH_STRFilter = 0x1a5,
        msoulscat_SEARCH_Trace = 0x14e,
        msoulscat_SEARCH_Tripoli = 0x14c,
        msoulscat_SEARCH_Tripoli_BigTable = 0x5f5,
        msoulscat_SEARCH_Tripoli_BitStm = 0x5ed,
        msoulscat_SEARCH_Tripoli_Cat = 0x5df,
        msoulscat_SEARCH_Tripoli_Content_Index = 0x5f9,
        msoulscat_SEARCH_Tripoli_CU = 0x5e5,
        msoulscat_SEARCH_Tripoli_Cursor = 0x603,
        msoulscat_SEARCH_Tripoli_DocSum = 0x60e,
        msoulscat_SEARCH_Tripoli_Exceptions = 0x60d,
        msoulscat_SEARCH_Tripoli_Falloc = 0x5ff,
        msoulscat_SEARCH_Tripoli_Filter = 0x5fd,
        msoulscat_SEARCH_Tripoli_Filter_Registration = 0x5fc,
        msoulscat_SEARCH_Tripoli_FilterWids = 0x5e7,
        msoulscat_SEARCH_Tripoli_FindFirst = 0x5eb,
        msoulscat_SEARCH_Tripoli_Forward_Index = 0x5e2,
        msoulscat_SEARCH_Tripoli_Fresh_List = 0x60a,
        msoulscat_SEARCH_Tripoli_FSNotify = 0x5fa,
        msoulscat_SEARCH_Tripoli_Heap = 0x5e8,
        msoulscat_SEARCH_Tripoli_IXSSO = 0x5ea,
        msoulscat_SEARCH_Tripoli_Key_Maker = 0x605,
        msoulscat_SEARCH_Tripoli_KeyList = 0x5e3,
        msoulscat_SEARCH_Tripoli_MergeLog = 0x182,
        msoulscat_SEARCH_Tripoli_Noise = 0x13f,
        msoulscat_SEARCH_Tripoli_Normalize = 0x5f3,
        msoulscat_SEARCH_Tripoli_Parse = 0x5f0,
        msoulscat_SEARCH_Tripoli_PComp = 0x5f8,
        msoulscat_SEARCH_Tripoli_PDir = 0x602,
        msoulscat_SEARCH_Tripoli_Pending = 0x5e1,
        msoulscat_SEARCH_Tripoli_Perf = 0x5fb,
        msoulscat_SEARCH_Tripoli_PidTable = 0x5e6,
        msoulscat_SEARCH_Tripoli_PropStore = 0x5f6,
        msoulscat_SEARCH_Tripoli_PropTime = 0x5ef,
        msoulscat_SEARCH_Tripoli_Proxy = 0x5de,
        msoulscat_SEARCH_Tripoli_Query = 0x60f,
        msoulscat_SEARCH_Tripoli_QUtil = 0x613,
        msoulscat_SEARCH_Tripoli_Range_Query = 0x16e,
        msoulscat_SEARCH_Tripoli_Regex = 0x614,
        msoulscat_SEARCH_Tripoli_Results = 0x609,
        msoulscat_SEARCH_Tripoli_RowTime = 0x5f4,
        msoulscat_SEARCH_Tripoli_SecStore = 0x5ee,
        msoulscat_SEARCH_Tripoli_Srch = 0x612,
        msoulscat_SEARCH_Tripoli_Thesaurus = 0x17d,
        msoulscat_SEARCH_Tripoli_USN = 0x615,
        msoulscat_SEARCH_Tripoli_VA = 0x5fe,
        msoulscat_SEARCH_Tripoli_WidList = 0x610,
        msoulscat_SEARCH_Tripoli_Words = 0x5e0,
        msoulscat_SEARCH_Tripoli_Workids = 0x19d,
        msoulscat_SEARCH_Tripoli_YACC = 0x5e4,
        msoulscat_SEARCH_TripoliBufferCache = 0x13a,
        msoulscat_SEARCH_Used_Component = 0x18a,
        msoulscat_SEARCH_UtilCommon = 0x134,
        msoulscat_SEARCH_UtilFileSystem = 0x1ad,
        msoulscat_SEARCH_UtilPropertyStore = 0x152,
        msoulscat_SEARCH_UtilSecurity = 0x17f,
        msoulscat_SEARCH_XMLFilter = 0x1a9,
        msoulscat_searchandprocess_cs = 0x204,
        msoulscat_searchapi_cs = 0x35b,
        msoulscat_searchapplicationwebserviceproxy_cs = 0x67f,
        msoulscat_searchbackuprestoretimerjob_cs = 0x660,
        msoulscat_searchboxex_cs = 0x4a6,
        msoulscat_searchcenterurlfeature_cs = 0x636,
        msoulscat_searchconfigurationretriever_cs = 0x449,
        msoulscat_searchcontrol_cs_pp = 0x2e,
        msoulscat_searchdataaccessserviceinstance_cs = 0x356,
        msoulscat_searchloadbalancing_cs = 150,
        msoulscat_searchpageparts_cs = 0x217,
        msoulscat_searchresult_cs = 0x32c,
        msoulscat_searchresulthiddenobject_cs = 0x375,
        msoulscat_searchresults_cs = 0x2d2,
        msoulscat_searchresulttable_cs = 0x20,
        msoulscat_searchroutingserviceimpl_cpp = 0x60,
        msoulscat_searchrss_cs = 0x60b,
        msoulscat_searchservice_cs = 0x3cf,
        msoulscat_searchserviceinstance_cs = 0x3ef,
        msoulscat_searchsharedapplication_cs = 0x3cd,
        msoulscat_searchsts_cs = 0x2e9,
        msoulscat_searchtoolpart_cs = 0x1d8,
        msoulscat_searchupgradeprovisioner_cs = 0x367,
        msoulscat_searchwebservice_cs = 0x3bc,
        msoulscat_searchwebserviceproxy_cs = 970,
        msoulscat_secadmin_aspx_cs = 0x351,
        msoulscat_secadmin_cpp = 0x5a1,
        msoulscat_security_cpp = 0x5b7,
        msoulscat_security_cs = 0x3c8,
        msoulscat_securityserializer_cs = 0x24c,
        msoulscat_securityutility_cs = 0xfb,
        msoulscat_sedecommissioning_aspx_cs = 0x6ce,
        msoulscat_sedisk_aspx_cs = 0x3e7,
        msoulscat_seealsocontrol_cs = 0x47d,
        msoulscat_seedit_aspx_cs = 0x3df,
        msoulscat_sehardware_aspx_cs = 0x3bf,
        msoulscat_self_notification_aspx_cs = 0x62d,
        msoulscat_sememory_aspx_cs = 0x399,
        msoulscat_sender_cs = 0x5d7,
        msoulscat_sendscheduledreminders_cs = 0x467,
        msoulscat_senetwork_aspx_cs = 0x3b7,
        msoulscat_serializationinfohelper_cs = 0x33d,
        msoulscat_server_cpp = 0x6e5,
        msoulscat_serverapplication_cs = 300,
        msoulscat_serverbrowse_aspx_cs = 0x3e0,
        msoulscat_servereventmanager_cs = 0x3e1,
        msoulscat_servereventproxy_cs = 0x3ad,
        msoulscat_servereventremote_cs = 0x37c,
        msoulscat_serverfarm_cs = 450,
        msoulscat_serversearch_aspx_cs = 0x38f,
        msoulscat_serversmissingdata_aspx_cs = 0x388,
        msoulscat_serviccb_cpp = 0x6e4,
        msoulscat_service_cpp = 0x6e2,
        msoulscat_servicebase_cs = 0x6ad,
        msoulscat_servicejobdefinitions_aspx_cs = 0x458,
        msoulscat_serviceproxy_cs = 0x65,
        msoulscat_serviceregistry_cs = 0x45a,
        msoulscat_services_cs = 0x28f,
        msoulscat_servicesmissingdata_aspx_cs = 0x369,
        msoulscat_seserverdatamissing_aspx_cs = 0x3b4,
        msoulscat_seservicedatamissing_aspx_cs = 0x3f5,
        msoulscat_sessionstateservice = 0x1b0,
        msoulscat_sesummary_aspx_cs = 0x3a6,
        msoulscat_setdefaultssp_cs = 0x469,
        msoulscat_setimport_aspx_cs = 0x4a7,
        msoulscat_setoolsservices_aspx_cs = 0x365,
        msoulscat_setreqacc_cs = 0x25f,
        msoulscat_settings_cs = 0x3d2,
        msoulscat_settingscontrols_cs = 0x338,
        msoulscat_settingsgroups_cs = 0x2b,
        msoulscat_setupjob_cs = 0xa9,
        msoulscat_setuplicensing_cs = 0x67c,
        msoulscat_shareddata_cs = 0x69b,
        msoulscat_shareddatabase_cs = 0x10a,
        msoulscat_sharednative_cpp = 0x284,
        msoulscat_sharedobjectformatter_cs = 0x1bf,
        msoulscat_sharedobjectmanager_cs = 0x1c0,
        msoulscat_sharedobjectstore_cs = 0x1be,
        msoulscat_sharedresourceprovider_cs = 260,
        msoulscat_sharedresourceprovidercollection_cs = 0x10b,
        msoulscat_sharedresourceproviderjob_cs = 0x106,
        msoulscat_sharedservicesfeature_cs = 0x44f,
        msoulscat_sharedwebapplication_cs = 0x108,
        msoulscat_sharedwebservice_cs = 0x103,
        msoulscat_sharedwebserviceinstance_cs = 0x107,
        msoulscat_sharepointcontentsource_cs = 0x3ed,
        msoulscat_sharepointdata_cs = 0x2c3,
        msoulscat_sharepointkpiprofilepage_aspx_cs = 0x49c,
        msoulscat_sharepointtimezone_cs = 0x3ea,
        msoulscat_shipbase_cs = 0x274,
        msoulscat_shipmentfilecleanup_aspx_cs = 0x401,
        msoulscat_shovel_asmx_cs = 0x3e9,
        msoulscat_showstatus_aspx_cs = 0x3ff,
        msoulscat_simpleauthz_aspx_cs = 0x3a1,
        msoulscat_simpleauthz_cs = 0x2c5,
        msoulscat_site_cs = 0x1b5,
        msoulscat_siteactions_cs = 0x438,
        msoulscat_siteadminpage_cs = 0x662,
        msoulscat_sitedirectorysettings_aspx_cs = 0x517,
        msoulscat_sitedirectoryutil_cs = 0x4a5,
        msoulscat_sitehitrule_cs = 0x359,
        msoulscat_sitehitrulescollection_cs = 0x386,
        msoulscat_siteinfo_cs = 0x64a,
        msoulscat_sitepage_cs = 0x639,
        msoulscat_siteprovision_cpp = 0x5a0,
        msoulscat_siteregcatpicker_cs = 0x65a,
        msoulscat_siteupgradeutils_cs = 0x515,
        msoulscat_skutypeutility_cs = 0x5e9,
        msoulscat_skuupgrade_aspx_cs = 0x4db,
        msoulscat_skuupgradefeature_cs = 0x600,
        msoulscat_slcache_cs = 0x86,
        msoulscat_slmanager_cs = 130,
        msoulscat_smartpage_cs = 0x15,
        msoulscat_smartpageswebservice_cs = 0x29,
        msoulscat_smtobjectliststate_cs = 0x1b7,
        msoulscat_smtshared_cs = 0x23c,
        msoulscat_smttreeview_cs = 0x11c,
        msoulscat_soapserverexception_cs = 0x6ab,
        msoulscat_socksplt_cpp = 0x54a,
        msoulscat_solutioncabinet_cs = 0x45f,
        msoulscat_solutioninformation_cs = 0x462,
        msoulscat_solutionsecuritymanager_cs = 0x10c,
        msoulscat_spactionlink_cs = 0x20b,
        msoulscat_spactionsequence_cs = 0x1d3,
        msoulscat_spaddaskpi_cs = 0x4df,
        msoulscat_spadddashboard_cs = 0x4ff,
        msoulscat_spaddexcelkpi_cs = 0x4da,
        msoulscat_spaddreportpage_cs = 0x4c8,
        msoulscat_spaddscorecard_cs = 0x4ef,
        msoulscat_spaddsharepointkpi_cs = 0x4d6,
        msoulscat_spaddsimplekpi_cs = 0x4d1,
        msoulscat_spadmin_cpp = 0x58c,
        msoulscat_spadministrationoperation_cs = 0x5d3,
        msoulscat_spadvapi32_cs = 0x252,
        msoulscat_spaloader_cs = 0x312,
        msoulscat_spalternateurlcollectionmanager_cs = 0x26a,
        msoulscat_spantivirussettings_cs = 0x264,
        msoulscat_spaspconfigurationfile_cs = 0x227,
        msoulscat_spattachments_cs = 0x20f,
        msoulscat_spautoserializingobject_cs = 0x25b,
        msoulscat_spbackuprestoreobject_cs = 0x635,
        msoulscat_spbackuprestoreparameter_cs = 0x278,
        msoulscat_spbackwardcompatibilitypropertymapper_cs = 0x305,
        msoulscat_spcalendaremailhandler_cs = 570,
        msoulscat_spcalendarviewstyles_cs = 0x30b,
        msoulscat_spchange_cs = 0x2ab,
        msoulscat_spchangecollection_cs = 0x26e,
        msoulscat_spchrome_cs = 0x22b,
        msoulscat_spconfigurationdatabase_cs = 0x202,
        msoulscat_spconfigurationdatabase2_cs = 0x2a2,
        msoulscat_spconnection_cs = 0x301,
        msoulscat_spconnectioncollection_cs = 0x6b2,
        msoulscat_spcontentdatabase_cs = 0x291,
        msoulscat_spcontentdatabase2_cs = 0x267,
        msoulscat_spcontext_cs = 0x2d5,
        msoulscat_spcontrolelement_cs = 0x243,
        msoulscat_spcontrols_cs = 0x655,
        msoulscat_spcontroltemplatemanager_cs = 0x318,
        msoulscat_spcopy_cs = 0x32e,
        msoulscat_spcredentialdeployment_cs = 0x23f,
        msoulscat_spcredentialjobdefinitions_cs = 0x216,
        msoulscat_spcredentialmanager_cs = 0x2fd,
        msoulscat_spcustomactionelement_cs = 0x28b,
        msoulscat_spdatabase_cs = 470,
        msoulscat_spdependencymanager_cs = 0x1e1,
        msoulscat_spdeploymenteventhandler_cs = 0x2a4,
        msoulscat_spdiscussionemailhandler_cs = 0x317,
        msoulscat_spdoclibemailhandler_cs = 0x5d2,
        msoulscat_specializedsearch_cs = 0xaf,
        msoulscat_specialterm_cs = 0x364,
        msoulscat_specialtermdatabase_cs = 0x3db,
        msoulscat_speditaskpi_cs = 0x4fb,
        msoulscat_speditexcelkpi_cs = 0x4b4,
        msoulscat_speditorpartchrome_cs = 0x357,
        msoulscat_speditsharepointkpi_cs = 0x4d0,
        msoulscat_spelementdefinition_cs = 0x223,
        msoulscat_spelementdefinitioncollection_cs = 0x620,
        msoulscat_spelementmanifest_cs = 0x2b3,
        msoulscat_spelementprovider_cs = 0x20c,
        msoulscat_spemailengine_cs = 0x281,
        msoulscat_spemailmap_cs = 0x347,
        msoulscat_spemailmessage_cs = 0x67e,
        msoulscat_spencoderutility_cs = 0x220,
        msoulscat_spencryptedstring_cs = 0x2df,
        msoulscat_spevent_cs = 0x33a,
        msoulscat_speventelement_cs = 0x23e,
        msoulscat_speventreceiver_cs = 0x332,
        msoulscat_speventreceivers_cs = 0x21e,
        msoulscat_spexport_cs = 0x2f0,
        msoulscat_spfarm_cs = 690,
        msoulscat_spfeature_cpp = 0x58a,
        msoulscat_spfeature_cs = 0x333,
        msoulscat_spfeaturecollection_cs = 0x242,
        msoulscat_spfeaturedefinition_cs = 0x325,
        msoulscat_spfeaturedefinitioncollection_cs = 0x2c1,
        msoulscat_spfeaturemanager_cs = 700,
        msoulscat_spfeaturepropertycollection_cs = 0x2c8,
        msoulscat_spfield_cs = 0x28d,
        msoulscat_spfieldelement_cs = 0x2bd,
        msoulscat_spfieldinh_cs = 0x2b4,
        msoulscat_spfieldtypedefinition_cs = 0x2de,
        msoulscat_spfieldvalue_cs = 0x344,
        msoulscat_spfile_cs = 0x346,
        msoulscat_spfolder_cs = 0x2a5,
        msoulscat_spglobaladmin_cs = 0x2af,
        msoulscat_spiisapplicationpool_cs = 0x1d5,
        msoulscat_spiisvirtualdirectory_cs = 0x1d1,
        msoulscat_spiiswebsite_cs = 760,
        msoulscat_spiiswebsitewss_cs = 0x2ea,
        msoulscat_spimport_cs = 0x2ac,
        msoulscat_spimportobjectcollection_cs = 590,
        msoulscat_spincomingemailserviceinstance_cs = 0x3b1,
        msoulscat_spinitializeoncelock_cs = 0x440,
        msoulscat_spjobdefinition_cs = 0x339,
        msoulscat_spkpivaluecontrol_cs = 0x4c5,
        msoulscat_splinkcollection_cs = 0x29f,
        msoulscat_splist_cs = 0x1df,
        msoulscat_splistdatasourceview_cs = 0x1ce,
        msoulscat_splistfiltertoolpart_cs = 0x4b1,
        msoulscat_splistinstanceelement_cs = 0x627,
        msoulscat_splistitem_cs = 0x2a0,
        msoulscat_splistitems_cs = 0x1e3,
        msoulscat_spmanager_cs = 810,
        msoulscat_spmeeting_cs = 0x2fc,
        msoulscat_spmenu_cs = 0x26f,
        msoulscat_spmenucollection_cs = 0x251,
        msoulscat_spmenuitem_cs = 0x310,
        msoulscat_spmetabaseobject_cs = 0x336,
        msoulscat_spmoderationworkflow_cs = 0x1f8,
        msoulscat_spnavigation_cs = 0x499,
        msoulscat_spnocodexomlcompiler_cs = 0x33c,
        msoulscat_spofficialfile_cs = 0x24f,
        msoulscat_spotlightcontrol_cs = 0x4f,
        msoulscat_sppageparser_cs = 0x286,
        msoulscat_sppageparserfilter_cs = 0x313,
        msoulscat_sppersistedobject_cs = 0x31f,
        msoulscat_sppolicycollection_cs = 0x2f6,
        msoulscat_sppolicyrolecollection_cs = 0x21a,
        msoulscat_spprimarygathererproject_cs = 0x371,
        msoulscat_spprocessidentity_cs = 0x319,
        msoulscat_spprovisioningassistant_cs = 0x25e,
        msoulscat_spproxywebpartmanager_cs = 0x6b3,
        msoulscat_spredirector_cs = 1,
        msoulscat_spregionalsettings_cs = 0x323,
        msoulscat_sprenderbuffer_cs = 0x628,
        msoulscat_sprequest_cpp = 0x578,
        msoulscat_sprequestmodule_cs = 560,
        msoulscat_sprequestmoduledata_cs = 0x299,
        msoulscat_sproleassignments_cs = 0x260,
        msoulscat_sprssutility_cs = 0x1f6,
        msoulscat_sprunningjob_cs = 770,
        msoulscat_sprunningjobcollection_cs = 620,
        msoulscat_SPS_Administration = 0x68d,
        msoulscat_SPS_AdministrationV2 = 0x6a3,
        msoulscat_SPS_BackwardCompatOM = 0x67a,
        msoulscat_SPS_BusinessData = 0x532,
        msoulscat_SPS_fastlog = 0x11b,
        msoulscat_SPS_People = 0xf6,
        msoulscat_SPS_Runtime = 0x691,
        msoulscat_SPS_SetupUpgrade = 0x539,
        msoulscat_SPS_SingleSignOn = 0x533,
        msoulscat_SPS_SiteDirectory = 0x67b,
        msoulscat_SPS_UserProfiles = 0x53c,
        msoulscat_SPS_WebParts = 0x67d,
        msoulscat_spscategories_cs = 0x4f5,
        msoulscat_spscategory_cs = 0x4a9,
        msoulscat_spschedule_cs = 0x245,
        msoulscat_spschedules_cs = 0x2cc,
        msoulscat_spscrawl_asmx_cs = 0x6a7,
        msoulscat_spsearchapplication_cs = 0x400,
        msoulscat_spsearchbackuprestoretimerjob_cs = 0x65e,
        msoulscat_spsearchdatabase_cs = 0x3fe,
        msoulscat_spsearchservice_cs = 0x45b,
        msoulscat_spsearchserviceinstance_cs = 0x3fd,
        msoulscat_spsearchserviceinstancesettings_aspx_cs = 0x47b,
        msoulscat_spsecurity_cs = 0x29c,
        msoulscat_spsequencemanager_cs = 790,
        msoulscat_spserver_cs = 0x1d4,
        msoulscat_spsimpleitem_cs = 0x337,
        msoulscat_spsite_cs = 510,
        msoulscat_spsiteadministration_cs = 0x1d7,
        msoulscat_spsitecollection_cs = 0x1e6,
        msoulscat_spslisting_cs = 0x518,
        msoulscat_spslistings_cs = 0x4dd,
        msoulscat_spslog_cs = 0xff,
        msoulscat_spsolution_cs = 0x29b,
        msoulscat_spsolutionpackage_cs = 550,
        msoulscat_spspermissions_cs = 0x4f3,
        msoulscat_spsqlbackuphelper_cs = 0x240,
        msoulscat_spsqlcommand_cs = 0x2be,
        msoulscat_spsqlcommandfactory_cs = 0x218,
        msoulscat_spssearchcl_cs = 0x1ef,
        msoulscat_spssearchimpl_cs = 0x2f3,
        msoulscat_spssecmanager_cs = 0x647,
        msoulscat_spsubscription_cs = 0x2bf,
        msoulscat_spsubscriptions_cs = 0x203,
        msoulscat_sptagparser_cs = 0x300,
        msoulscat_sptimerjobconfig_cs = 0x254,
        msoulscat_sptimerjobinvoke_cs = 0x1f3,
        msoulscat_sptimerstore_cs = 0x285,
        msoulscat_sptoolbar_cs = 0x224,
        msoulscat_sptransform_cs = 0x2cf,
        msoulscat_spusers_cs = 520,
        msoulscat_spuserstoragecollection_cs = 0x2ae,
        msoulscat_spuserutility_cs = 0x623,
        msoulscat_sputility_cs = 0x2db,
        msoulscat_sputils_cs = 0x306,
        msoulscat_spversionhistory_cs = 0x233,
        msoulscat_spvirtualfile_cs = 0x2d6,
        msoulscat_spweb_cs = 0x288,
        msoulscat_spwebapplication_cs = 0x340,
        msoulscat_spwebpartcollection_cs = 0x314,
        msoulscat_spwebpartmanager_cs = 0x343,
        msoulscat_spwebpartserializer_cs = 0x221,
        msoulscat_spwebtemplate_cs = 750,
        msoulscat_spwindowsserviceinstance_cs = 0x309,
        msoulscat_spwinoe_cs = 0x335,
        msoulscat_spwinoechannels_cs = 0x2a3,
        msoulscat_spwinoependingwork_cs = 540,
        msoulscat_spwinoepersistence_cs = 0x238,
        msoulscat_spworkflow_cs = 580,
        msoulscat_spworkflowdatasource_cs = 0x61d,
        msoulscat_spworkflowengine_cs = 0x21b,
        msoulscat_spworkflowevent_cs = 0x2ce,
        msoulscat_spworkflowmanager_cs = 0x28c,
        msoulscat_spworkflows_cs = 0x2ad,
        msoulscat_spworkflowtemplate_cs = 0x272,
        msoulscat_spworkflowtemplates_cs = 0x219,
        msoulscat_spworkflowtodo_cs = 850,
        msoulscat_spworkflowtodos_cs = 0x328,
        msoulscat_spworkitem_cs = 0x1d2,
        msoulscat_spworkitems_cs = 0x2c0,
        msoulscat_spwssadministrationwebapplication_cs = 0x321,
        msoulscat_spwssdocumenttransformsjobdefinition_cs = 0x213,
        msoulscat_spwssmanagedjobdefinitions_cs = 0x1e7,
        msoulscat_spwssnativejobdefinitions_cs = 0x255,
        msoulscat_spwsswebapplication_cs = 0x1e5,
        msoulscat_spxmldoccache_cs = 0x453,
        msoulscat_sqlclient_cpp = 0x5ac,
        msoulscat_sqldatabasemanager_cs = 0x376,
        msoulscat_sqldefinition_cs = 0x1dd,
        msoulscat_sqlp_cs = 0x2b5,
        msoulscat_sqlservermanager_cs = 0x38a,
        msoulscat_sqlsession_cs = 0x658,
        msoulscat_sqlsessionstateresolver_cs = 0x48f,
        msoulscat_sra_cs = 0x629,
        msoulscat_srccntrl_cpp = 0x703,
        msoulscat_srp_cs = 0x3e,
        msoulscat_ssologon_aspx_cs = 0x4ec,
        msoulscat_ssoom_cs = 0x3f6,
        msoulscat_ssoservice_cs = 0x39e,
        msoulscat_ssparser_cs = 0xa5,
        msoulscat_sspdetails_aspx_cs = 0x39c,
        msoulscat_ssppagebase_cs = 0x48d,
        msoulscat_sspreportpage_cs = 0x4cf,
        msoulscat_sspsettingsbase_cs = 0x485,
        msoulscat_ssptimerjob_cs = 0x361,
        msoulscat_ssputility_cs = 0x44d,
        msoulscat_sswebservice_asmx_cs = 0xa4,
        msoulscat_staticsqmdatacollectionjob_cs = 0x679,
        msoulscat_stattest_cpp = 0x5be,
        msoulscat_status_cpp = 0x55f,
        msoulscat_status_cs = 0xf3,
        msoulscat_statusapproval_cs = 0x353,
        msoulscat_statusapprovalmessagehandler_cs = 0x37b,
        msoulscat_statusing_cs = 0x390,
        msoulscat_statusreports_cs = 0x374,
        msoulscat_stormancb_cs = 0x2d3,
        msoulscat_stringconversionexpression_cs = 0x689,
        msoulscat_stringutils_cs = 0x644,
        msoulscat_strucops_cpp = 0x6eb,
        msoulscat_stsqueryparts_cs = 0x65c,
        msoulscat_stsv3ph_cs = 0x3ee,
        msoulscat_subdal_cs = 0x5dd,
        msoulscat_subedit_aspx_cs = 0x265,
        msoulscat_submission_cs = 0x315,
        msoulscat_subneweditbase_cs = 480,
        msoulscat_subsmanagebase_cs = 0x1f5,
        msoulscat_subweb_cs = 0x51b,
        msoulscat_suggestions_cs = 0x83,
        msoulscat_summaryreport_aspx_cs = 170,
        msoulscat_svccnf_cpp = 0x6fd,
        msoulscat_svceaddnew_aspx_cs = 0x70f,
        msoulscat_svcetoolsservices_aspx_cs = 0x70e,
        msoulscat_svectest_cpp = 0x59d,
        msoulscat_svrroot_cs = 0x671,
        msoulscat_svrrootreporting_cs = 0x62b,
        msoulscat_synccommands_cs = 0x63d,
        msoulscat_syncedlistloader_cs = 920,
        msoulscat_synonym_cs = 0x3d6,
        msoulscat_syserr_cpp = 0x5c6,
        msoulscat_tablecontrols_cs = 9,
        msoulscat_tabltest_cpp = 0x548,
        msoulscat_taskcnt_cs = 0x674,
        msoulscat_tasksandtools_cs = 0x4bd,
        msoulscat_taskwatcher_cs = 0x81,
        msoulscat_tcquery_cs = 0x2f9,
        msoulscat_teamassignmentspart_cs = 0x69a,
        msoulscat_tempconfiguration_cs = 0x4b3,
        msoulscat_templatedownload_cs = 0x33,
        msoulscat_templatemanagement_aspx_cs = 0xa2,
        msoulscat_tempmgr_cpp = 0x5bb,
        msoulscat_testapch_cpp = 0x581,
        msoulscat_testmain_cpp = 0x55e,
        msoulscat_testulsexception_saspx = 0x66,
        msoulscat_thankyou_cs = 0xb5,
        msoulscat_theme_cs = 0x6fb,
        msoulscat_themefilelist_cs = 0x6e1,
        msoulscat_thememanager_cs = 0x6df,
        msoulscat_thememgr_cpp = 0x6e0,
        msoulscat_thisweekinpictures_cs = 0x4b2,
        msoulscat_thmpack_cpp = 0x563,
        msoulscat_thmpackr_cpp = 0x582,
        msoulscat_thrdctxt_cpp = 0x549,
        msoulscat_thread_cpp = 0x53e,
        msoulscat_threadpool_cpp = 0x7b,
        msoulscat_timesheet_cs = 0x3dc,
        msoulscat_timetest_cpp = 0x541,
        msoulscat_timezone_cpp = 0x596,
        msoulscat_timezonemanager_cs = 0x6f0,
        msoulscat_titleareacontrols_cs_pp = 800,
        msoulscat_tmplmgr_cpp = 0x56c,
        msoulscat_tnreord_aspx_cs = 0x28e,
        msoulscat_toc_cs = 0x3b,
        msoulscat_tocsync_cs = 0x2dd,
        msoulscat_tokenizednametable_cs = 0x405,
        msoulscat_toolbar_cs_pp = 0x4e2,
        msoulscat_toolbarcontrols_cs = 14,
        msoulscat_toolbarcontrols_cs_pp = 0x296,
        msoulscat_toolfile_cs = 0xac,
        msoulscat_toolpane_cs = 30,
        msoulscat_toolpart_cs = 0x1f,
        msoulscat_toolsearch_cs = 0xae,
        msoulscat_topcategory_cs = 0x8f,
        msoulscat_topnav_aspx_cs = 0x247,
        msoulscat_topnav_cs = 0x1cd,
        msoulscat_topologycache_cs = 0x63e,
        msoulscat_topologymanager_cs = 0x631,
        msoulscat_topologyobjectcollectionbase_cs = 0x4f6,
        msoulscat_tppanel_cs = 0x1db,
        msoulscat_tr_cs = 0x95,
        msoulscat_trace_cpp = 0xec,
        msoulscat_tracemanagerconfig_cpp = 0x6ae,
        msoulscat_trailnav_cs_pp = 0x30,
        msoulscat_training_cs = 0x2ba,
        msoulscat_trainingbase_cs = 0x35,
        msoulscat_transactionalsqlsession_cs = 0x663,
        msoulscat_ttp_cs = 0x37,
        msoulscat_turkishifixup_cs = 0x6a4,
        msoulscat_typedescriptor_cs = 0x65b,
        msoulscat_ui_cs = 0x93,
        msoulscat_uilanguage_cs = 0x290,
        msoulscat_ULS = 0x12d,
        msoulscat_uls_cs = 0x11,
        msoulscat_ulsapi_cpp = 0xf5,
        msoulscat_ulscurly_cs = 0x6b9,
        msoulscat_ulsexternal_cs = 0x6fe,
        msoulscat_ulslogprocessorservice_cpp = 0x297,
        msoulscat_ulsmonitorservice_cpp = 0x6aa,
        msoulscat_ulssqm_cpp = 0xed,
        msoulscat_ulstest_saspx = 0x34c,
        msoulscat_Unknown = 0xba,
        msoulscat_up2test_cpp = 0x5af,
        msoulscat_updtlock_cpp = 0x552,
        msoulscat_updttest_cpp = 0x5ba,
        msoulscat_upgradebike_aspx_cs = 0x5d0,
        msoulscat_ups_cs = 2,
        msoulscat_urlassign_saspx = 0x6c,
        msoulscat_urlassignowner_saspx = 0x74,
        msoulscat_urlfixup_cs = 0x3e5,
        msoulscat_urlgroupdelete_saspx = 0x75,
        msoulscat_urlgroupnew_saspx = 0x6f,
        msoulscat_urllist_cpp = 0x55d,
        msoulscat_urlmap_cpp = 0x597,
        msoulscat_urlparser_cpp = 0x5e,
        msoulscat_urltest_cpp = 0x544,
        msoulscat_urluserassociate_saspx = 0x71,
        msoulscat_usagedataprocessor_cs = 0x4ae,
        msoulscat_userassign_saspx = 0x77,
        msoulscat_usercontextbase_cs = 0x6e9,
        msoulscat_usercontextfiltertoolpart_cs = 0x50e,
        msoulscat_userdelete_saspx = 0x73,
        msoulscat_usergroupdelete_saspx = 0x72,
        msoulscat_usergroupnew_saspx = 120,
        msoulscat_usernew_saspx = 0x6d,
        msoulscat_userprofile_cs = 0x4a,
        msoulscat_userprofileapplication_cs = 0x12b,
        msoulscat_userprofilechanges_cs = 0x1c4,
        msoulscat_userprofileconfigmanager_cs = 440,
        msoulscat_userprofileglobal_cs = 0x1c7,
        msoulscat_userprofilelocalizationinstaller_cs = 0x383,
        msoulscat_userprofilemanager_cs = 0x275,
        msoulscat_userrequestaccess_saspx = 110,
        msoulscat_users_cs = 0x1f1,
        msoulscat_userverification_cs = 880,
        msoulscat_userwaitinglist_saspx = 0x70,
        msoulscat_UseSDA = 0x51,
        msoulscat_util_cpp = 0x6af,
        msoulscat_util_cs = 0x25,
        msoulscat_utilcommon_cs = 0x342,
        msoulscat_utilities_cs = 0x2c,
        msoulscat_utility_cs = 0x80,
        msoulscat_utils_cs = 0x11f,
        msoulscat_validation_cs = 0x3f2,
        msoulscat_validationcontrols_cs = 10,
        msoulscat_validators_cs = 0x64c,
        msoulscat_varyrankedparams_cs = 0x8b,
        msoulscat_vassert_cpp = 0x588,
        msoulscat_view_cs = 0x3e6,
        msoulscat_viewmanager_cs = 0x693,
        msoulscat_views_cs = 0xf8,
        msoulscat_viewserializer_cs = 0x21d,
        msoulscat_virtualserver_cs = 0x646,
        msoulscat_virtualserverwebpartdataprovider_cs = 0x685,
        msoulscat_viruscheck_cpp = 0x5c7,
        msoulscat_virusscan_cs = 0x215,
        msoulscat_vmemdump_cpp = 270,
        msoulscat_voledb_cpp = 0x5c9,
        msoulscat_vstrtest_cpp = 0x55c,
        msoulscat_wa_cs = 0x97,
        msoulscat_watson_cpp = 0xeb,
        msoulscat_webber_cpp = 0x599,
        msoulscat_webcontentsource_cs = 0x3dd,
        msoulscat_webpart_cs = 0x16,
        msoulscat_webpartcodegen_cs = 740,
        msoulscat_webpartcompatibility_cs = 0x27b,
        msoulscat_webpartdesigner_cs = 780,
        msoulscat_webpartgallerypicker_cs = 0x406,
        msoulscat_webpartgallerypickerpage_aspx_cs = 0x2d1,
        msoulscat_webpartpage_cs = 0x64d,
        msoulscat_webpartquickadd_cs = 0x307,
        msoulscat_webpartserializer_cs = 0x29d,
        msoulscat_webparttagreader_cs = 0x1f7,
        msoulscat_webparttoolpart_cs = 0x1ed,
        msoulscat_webparttoolpartappearance_cs = 0x1cf,
        msoulscat_webparttoolpartlayout_cs = 0x2dc,
        msoulscat_webpartzone_cs = 0x12,
        msoulscat_webproj_cs = 0x68e,
        msoulscat_webserializer_cs = 0x2ed,
        msoulscat_webserviceutil_cs = 0x711,
        msoulscat_webstruct_cpp = 0x6ee,
        msoulscat_webstructureserializer_cs = 0x1fd,
        msoulscat_weeklyview_cs = 0x713,
        msoulscat_win32_cs = 250,
        msoulscat_windowssecurity_cs = 0x105,
        msoulscat_winproj_cs = 0x397,
        msoulscat_winprojdal_cs = 940,
        msoulscat_winprojdeserializer_cs = 0x3d5,
        msoulscat_winprojexception_cs = 0x3bd,
        msoulscat_winprojprojectdata_cs = 0x3c7,
        msoulscat_winprojqueuedsaveprocessor_cs = 950,
        msoulscat_winprojutility_cs = 0x358,
        msoulscat_wizerror_aspx_cs = 0x5cd,
        msoulscat_wordscan_cs = 500,
        msoulscat_workflow_asmx_cs = 0x472,
        msoulscat_workflow_aspx_cs = 0x5cf,
        msoulscat_workflowimpl_cs = 0x5d1,
        msoulscat_worksheetroundtripinfo_cpp = 0x6c3,
        msoulscat_worksheetview_cpp = 0x66e,
        msoulscat_workspce_aspx_cs = 0x34b,
        msoulscat_worldwide_cs = 0x330,
        msoulscat_wpeutil_cpp = 0x587,
        msoulscat_wservice_cpp = 0x70b,
        msoulscat_WSS_Backup_Restore = 0x455,
        msoulscat_WSS_Database = 0x1e4,
        msoulscat_WSS_ECB = 0x1b1,
        msoulscat_WSS_Email = 0x476,
        msoulscat_WSS_FeaturesInfrastructure = 0x6c5,
        msoulscat_WSS_Fields = 0x617,
        msoulscat_WSS_General = 0x451,
        msoulscat_WSS_IRM = 0x43f,
        msoulscat_WSS_Runtime = 0x6c6,
        msoulscat_WSS_SecurityPolicy = 0x5d9,
        msoulscat_WSS_ServerHelp = 0x1c1,
        msoulscat_WSS_SiteCollectionAdministrator = 0x5d8,
        msoulscat_WSS_SPDataSource = 0x1b2,
        msoulscat_WSS_SPGridView = 0x1b4,
        msoulscat_WSS_Timer = 0x3c4,
        msoulscat_WSS_Topology = 0x327,
        msoulscat_WSS_Upgrade = 0x6c9,
        msoulscat_WSS_WebControls = 0x6c8,
        msoulscat_WSS_WebParts = 0x6c7,
        msoulscat_WSS_Workflow = 0x473,
        msoulscat_wsssynchjob_cs = 0x311,
        msoulscat_wssusagelogfile_cs = 0x661,
        msoulscat_wssusagelogimporter_cs = 0x4ba,
        msoulscat_xmldata_cpp = 0x590,
        msoulscat_xmlform_cs = 0x111,
        msoulscat_xmlformatter_cs = 0x2b6,
        msoulscat_xmlgrid_cs = 0x6a1,
        msoulscat_xmlreader_cpp = 0x56,
        msoulscat_xmlurldatasource_cs = 0x6bd,
        msoulscat_xmlwebpart_cs = 0x6b,
        msoulscat_zdom_cpp = 0x120,
        msoulscatUnknown = 3
    }

    public enum ULSTraceLevel
    {
        High = 20,
        Medium = 50,
        Monitorable = 15,
        Unexpected = 10,
        Verbose = 100
    }
 
}
