﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint;
using PS.Practices.Provisioner.Provisioner.Schema.Logic;
using PS.Practices.SiteBuilder.Features.Schema;
using PS.Practices.SiteBuilder.Features.Schema.DOM;

namespace PS.Practices.Provisioner.Test.Integration.ServiceLocator
{
    class OmWebOpServiceLocator : IServiceLocator
    {
        private IDictionary<object, object> services;

        internal OmWebOpServiceLocator(SPWeb web, Dictionary<string, object> properties )
        {
            services = new Dictionary<object, object>();

            this.services.Add(typeof(IWebOperationVisitor), new OmWebOperationVisitor(web, properties));
        }

        //internal WebOpServiceLocator(SPList list, SPWeb web)
        //{
        //    services = new Dictionary<object, object>();

        //    this.services.Add(typeof(IListOperationVisitor), new OmListOperationVisitor(list, web));
        //}

        public T GetService<T>()
        {
            try
            {
                return (T) services[typeof (T)];
            }
            catch (KeyNotFoundException)
            {
                
                throw new ApplicationException("The requested services is not registered");
            }
        }
    }
}
