
using NUnit.Framework;
using PS.WebParts.Rollup.Core;
//#if TESTS
namespace PS.WebParts.Rollup.Test
{
    [TestFixture]
    public class TestJoin
    {
        [Test]
        public void TestParse()
        {
            Join j = new Join("ID1");
            j.Parse("INNER JOIN ID2 ON ID1.1=ID2.2");
            j.Correlate = Join.CorrelationType.Web;

            Assert.AreEqual(Join.CorrelationType.Web, j.Correlate);
            Assert.AreEqual(Join.Type.Inner, j.JoinType );
            Assert.AreEqual("ID1", j.BaseId);
            Assert.AreEqual("ID2", j.JoineeId);
            Assert.AreEqual("1", j.BaseColumn);
   
            Assert.AreEqual("2", j.JoineeColumn );
            
            Assert.AreEqual(Join.Op.Eq, j.Operation);

            Assert.AreEqual("INNER JOIN ID2 ON ID1.1 = ID2.2", j.ToString());

            j = new Join("ID1");
            j.Parse("RIGHT JOIN ID2 ON ID1.1<>ID2.2");
            Assert.AreEqual("RIGHT JOIN ID2 ON ID1.1 != ID2.2", j.ToString());
        }
        
        [Test]
        public void TestToString()
        {
            Join j = new Join("ID1");

            j.JoinType = Join.Type.Inner;
            j.BaseColumn = "1";
            j.JoineeColumn = "2";
            j.JoineeId = "ID2";
            j.Operation = Join.Op.Eq;

            string s = j.ToString();
            Assert.AreEqual("INNER JOIN ID2 ON ID1.1 = ID2.2", s);
        }
    }
}
//#endif