using System.Data;
using NUnit.Framework;
using System;
//#if TESTS
namespace PS.WebParts.Rollup.Test
{
    [TestFixture]
    public class TestRollUpDataSourceView
    {
        [Test]
        public void GetRollUpData()
        {
            RollUpDataSource ds = new RollUpDataSource();
            ds.Scope = RollUpQueryWebScope.Recursive;
            ds.Lists = "*";
            //ds.ListFields = "Title,FirstName,Email";
            ds.Fields = @"<FieldRef Name=""RecordDate"" />
				<FieldRef Name=""ShipID"" />
				<FieldRef Name=""Title"" />";

            //DataTable data = ds.GetRollUpData("/Programs");
            DataTable data = ds.GetRollUpData("http://wss-server/");

            Assert.IsNotNull(data);
            Assert.Greater(data.Rows.Count, 1, "Row count");
            Console.WriteLine(data.Rows.Count);
        }

        [Test]
        public void GetGetListDetails()
        {
            RollUpDataSource ds = new RollUpDataSource();
            ds.Scope = RollUpQueryWebScope.Recursive;
            ds.Lists = "*";
            ds.ListFields = "Title,FirstName,Email";
            ds.IncludeListData = true;
            DataTable table = ds.GetRollUpData("/Programs");
            Assert.IsNotNull(table);
            Assert.Greater(table.Rows.Count, 1, "Row count");
            DataColumnCollection columns = table.Columns;
            Assert.IsNotNull(columns["_SiteTitle"], "site title");
            Assert.IsNotNull(columns["_SiteUrl"], "site url");
            Assert.IsNotNull(columns["_ListTitle"], "list title");
            Assert.IsNotNull(columns["_ListUrl"], "list url");
            Assert.IsNotNull(columns["_ItemId"], "item id");
        }
    }
}
//#endif